%define distro redhat
%define polyinstatiate n
%define monolithic n
%if %{?BUILD_STRICT:0}%{!?BUILD_STRICT:1}
%define BUILD_STRICT 1
%endif
%if %{?BUILD_MINIMUM:0}%{!?BUILD_MINIMUM:1}
%define BUILD_MINIMUM 1
%endif
%if %{?BUILD_TARGETED:0}%{!?BUILD_TARGETED:1}
%define BUILD_TARGETED 1
%endif
%if %{?BUILD_MLS:0}%{!?BUILD_MLS:1}
%define BUILD_MLS 1
%endif
%define POLICYVER 21
%define libsepolver 1.12.26-1
%define POLICYCOREUTILSVER 1.33.12-14.5
%define CHECKPOLICYVER 1.33.1-5
Summary: SELinux policy configuration
Name: selinux-policy
Version: 2.4.6
Release: 346%{?dist}
License: GPL
Group: System Environment/Base
Source: serefpolicy-%{version}.tgz
patch: policy-20061106.patch
patch1: policy-RHEL5.9.patch
patch2: policy-RHEL5.10.patch
Source1: modules-targeted.conf
Source2: booleans-targeted.conf
Source3: Makefile.devel
Source4: setrans-targeted.conf
Source5: modules-mls.conf
Source6: booleans-mls.conf	
Source8: setrans-mls.conf
Source9: modules-strict.conf
Source10: booleans-strict.conf
Source12: setrans-strict.conf
Source13: policygentool
Source14: securetty_types-targeted
Source15: securetty_types-mls
Source16: securetty_types-strict
Source17: modules-minimum.conf
Source18: booleans-minimum.conf
Source19: setrans-minimum.conf
Source20: securetty_types-minimum

Url: http://serefpolicy.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: checkpolicy >= %{CHECKPOLICYVER} m4 policycoreutils >= %{POLICYCOREUTILSVER}
PreReq: policycoreutils >= %{POLICYCOREUTILSVER} libsemanage >= 1.9.1-4.2
Obsoletes: policy 

%description 
SELinux Base package

%files 
%{_mandir}/man8/*
%doc %{_usr}/share/doc/%{name}-%{version}
%dir %{_usr}/share/selinux
%dir %{_sysconfdir}/selinux
%dir %{_usr}/share/selinux/packages
%ghost %config(noreplace) %{_sysconfdir}/selinux/config
%ghost %{_sysconfdir}/sysconfig/selinux

%package devel
Summary: SELinux policy development
Group: System Environment/Base
Prereq: checkpolicy >= %{CHECKPOLICYVER} m4 policycoreutils >= %{POLICYCOREUTILSVER}
Prereq: selinux-policy = %{version}-%{release}

%description devel
SELinux Policy development package

%files devel
%dir %{_usr}/share/selinux/devel
%dir %{_usr}/share/selinux/devel/include
%{_usr}/share/selinux/devel/include/*
%{_usr}/share/selinux/devel/Makefile
%{_usr}/share/selinux/devel/policygentool
%{_usr}/share/selinux/devel/example.*
%{_usr}/share/selinux/devel/policy.*
%attr(755,root,root) %{_usr}/share/selinux/devel/policyhelp

%define setupCmds() \
make UNK_PERMS=%5 NAME=%1 TYPE=%2 DISTRO=%{distro} DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} POLY=%4 MLS_CATS=1024 MCS_CATS=1024 bare \
make UNK_PERMS=%5 NAME=%1 TYPE=%2 DISTRO=%{distro} DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} POLY=%4 MLS_CATS=1024 MCS_CATS=1024  conf \
cp -f ${RPM_SOURCE_DIR}/modules-%1.conf  ./policy/modules.conf \
cp -f ${RPM_SOURCE_DIR}/booleans-%1.conf ./policy/booleans.conf \

%define moduleList() %([ -f %{_sourcedir}/modules-%{1}.conf ] && \
awk '$1 !~ "/^#/" && $2 == "=" && $3 == "module" { printf "-i %%s.pp ", $1 }' %{_sourcedir}/modules-%{1}.conf )

%define installCmds() \
make UNK_PERMS=%5 NAME=%1 TYPE=%2 DISTRO=%{distro} DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} POLY=%4 MLS_CATS=1024 MCS_CATS=1024 base.pp \
make UNK_PERMS=%5 NAME=%1 TYPE=%2 DISTRO=%{distro} DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} POLY=%4 MLS_CATS=1024 MCS_CATS=1024 modules \
make UNK_PERMS=%5 NAME=%1 TYPE=%2 DISTRO=%{distro} DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} DESTDIR=%{buildroot} POLY=%4 MLS_CATS=1024 MCS_CATS=1024 install \
make UNK_PERMS=%5 NAME=%1 TYPE=%2 DISTRO=%{distro} DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} DESTDIR=%{buildroot} POLY=%4 MLS_CATS=1024 MCS_CATS=1024 install-appconfig \
#%{__cp} *.pp %{buildroot}/%{_usr}/share/selinux/%1/ \
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/selinux/%1/policy \
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/selinux/%1/modules/active \
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/selinux/%1/contexts/files \
touch %{buildroot}/%{_sysconfdir}/selinux/%1/modules/semanage.read.LOCK \
touch %{buildroot}/%{_sysconfdir}/selinux/%1/modules/semanage.trans.LOCK \
make NAME=%1 TYPE=%2 DISTRO=%{distro} DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} POLY=%4  MLS_CATS=1024 MCS_CATS=1024 enableaudit \
make -W base.conf NAME=%1 TYPE=%2 DISTRO=%{distro} DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} POLY=%4 MLS_CATS=1024 MCS_CATS=1024 base.pp \
install -m0644 base.pp %{buildroot}%{_usr}/share/selinux/%1/enableaudit.pp \
rm -rf %{buildroot}%{_sysconfdir}/selinux/%1/booleans \
touch %{buildroot}%{_sysconfdir}/selinux/%1/seusers \
touch %{buildroot}%{_sysconfdir}/selinux/%1/policy/policy.%{POLICYVER} \
touch %{buildroot}%{_sysconfdir}/selinux/%1/contexts/files/file_contexts \
touch %{buildroot}%{_sysconfdir}/selinux/%1/contexts/files/homedir_template \
touch %{buildroot}%{_sysconfdir}/selinux/%1/contexts/files/file_contexts.homedirs \
install -m0644 ${RPM_SOURCE_DIR}/securetty_types-%1 %{buildroot}%{_sysconfdir}/selinux/%1/contexts/securetty_types \
install -m0644 ${RPM_SOURCE_DIR}/setrans-%1.conf %{buildroot}%{_sysconfdir}/selinux/%1/setrans.conf \
%nil

%define fileList() \
%defattr(-,root,root) \
%dir %{_usr}/share/selinux/%1 \
%{_usr}/share/selinux/%1/*.pp \
%dir %{_sysconfdir}/selinux/%1 \
%config(noreplace) %{_sysconfdir}/selinux/%1/setrans.conf \
%ghost %{_sysconfdir}/selinux/%1/seusers \
%dir %{_sysconfdir}/selinux/%1/modules \
%verify(not mtime) %{_sysconfdir}/selinux/%1/modules/semanage.read.LOCK \
%verify(not mtime) %{_sysconfdir}/selinux/%1/modules/semanage.trans.LOCK \
%attr(700,root,root) %dir %{_sysconfdir}/selinux/%1/modules/active \
#%verify(not md5 size mtime) %attr(600,root,root) %config(noreplace) %{_sysconfdir}/selinux/%1/modules/active/seusers \
%dir %{_sysconfdir}/selinux/%1/policy/ \
%ghost %{_sysconfdir}/selinux/%1/policy/policy.* \
%dir %{_sysconfdir}/selinux/%1/contexts \
%config %{_sysconfdir}/selinux/%1/contexts/customizable_types \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/securetty_types \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/dbus_contexts \
%config %{_sysconfdir}/selinux/%1/contexts/default_contexts \
%config	%{_sysconfdir}/selinux/%1/contexts/virtual_domain_context \
%config	%{_sysconfdir}/selinux/%1/contexts/virtual_image_context \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/default_type \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/failsafe_context \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/initrc_context \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/removable_context \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/userhelper_context \
%dir %{_sysconfdir}/selinux/%1/contexts/files \
%ghost %{_sysconfdir}/selinux/%1/contexts/files/file_contexts \
%ghost %{_sysconfdir}/selinux/%1/contexts/files/homedir_template \
%ghost %{_sysconfdir}/selinux/%1/contexts/files/file_contexts.homedirs \
%config %{_sysconfdir}/selinux/%1/contexts/files/media \
%dir %{_sysconfdir}/selinux/%1/contexts/users \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/users/root

%define saveFileContext() \
if [ -s /etc/selinux/config ]; then \
	. %{_sysconfdir}/selinux/config; \
	FILE_CONTEXT=%{_sysconfdir}/selinux/%1/contexts/files/file_contexts; \
	if [ "${SELINUXTYPE}" == %1 -a -f ${FILE_CONTEXT} ]; then \
		cp -f ${FILE_CONTEXT} ${FILE_CONTEXT}.pre; \
	fi \
fi

%define rebuildpolicy() \
( cd /usr/share/selinux/%1; \
semodule -b base.pp %{expand:%%moduleList %1} -s %1; \
);\
rm -f %{_sysconfdir}/selinux/%1/policy/policy.*.rpmnew

%define relabel() \
. %{_sysconfdir}/selinux/config; \
FILE_CONTEXT=%{_sysconfdir}/selinux/%1/contexts/files/file_contexts; \
selinuxenabled; \
if [ $? == 0  -a "${SELINUXTYPE}" == %1 -a -f ${FILE_CONTEXT}.pre ]; then \
	fixfiles -C ${FILE_CONTEXT}.pre restore; \
	restorecon -R /var/log /var/run; \
	rm -f ${FILE_CONTEXT}.pre; \
fi; 

%description
SELinux Reference Policy - modular.

%prep 
%setup -q -n serefpolicy-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1

%install
# Build targeted policy
%{__rm} -fR %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man8/
install -m 644 man/man8/*.8 %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_sysconfdir}/selinux
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
touch %{buildroot}%{_sysconfdir}/selinux/config
touch %{buildroot}%{_sysconfdir}/sysconfig/selinux

# Always create policy module package directories
mkdir -p %{buildroot}%{_usr}/share/selinux/{targeted,mls,minimum,modules}/

# Install devel
make clean
make UNK_PERMS=allow NAME=targeted TYPE=mcs DISTRO=%{distro} DIRECT_INITRC=y MONOLITHIC=%{monolithic} DESTDIR=%{buildroot} PKGNAME=%{name}-%{version} POLY=y MLS_CATS=1024 MCS_CATS=1024 install-headers install-docs
mkdir %{buildroot}%{_usr}/share/selinux/devel/
mkdir %{buildroot}%{_usr}/share/selinux/packages/
mv %{buildroot}%{_usr}/share/selinux/targeted/include %{buildroot}%{_usr}/share/selinux/devel/include
install -m 755 ${RPM_SOURCE_DIR}/policygentool %{buildroot}%{_usr}/share/selinux/devel/
install -m 644 ${RPM_SOURCE_DIR}/Makefile.devel %{buildroot}%{_usr}/share/selinux/devel/Makefile
install -m 644 doc/example.* %{buildroot}%{_usr}/share/selinux/devel/
install -m 644 doc/policy.* %{buildroot}%{_usr}/share/selinux/devel/
echo  "htmlview file:///usr/share/doc/selinux-policy-%{version}/html/index.html"> %{buildroot}%{_usr}/share/selinux/devel/policyhelp
chmod +x %{buildroot}%{_usr}/share/selinux/devel/policyhelp

%if %{BUILD_TARGETED}
# Build targeted policy
# Commented out because only targeted ref policy currently builds
%setupCmds targeted targeted-mcs y y allow
%installCmds targeted targeted-mcs y y allow
make NAME=targeted TYPE=targeted-mcs DISTRO=%{distro} DIRECT_INITRC=y MONOLITHIC=%{monolithic} POLY=y MLS_CATS=1024 MCS_CATS=1024 validatefc 
%endif

%if %{BUILD_STRICT}
# Build strict policy
# Commented out because only targeted ref policy currently builds
make UNK_PERMS=allow NAME=strict TYPE=strict-mcs DISTRO=%{distro} DIRECT_INITRC=y MONOLITHIC=%{monolithic} POLY=n MLS_CATS=1024 MCS_CATS=1024 bare 
make UNK_PERMS=allow NAME=strict TYPE=strict-mcs DISTRO=%{distro} DIRECT_INITRC=y MONOLITHIC=%{monolithic} POLY=n MLS_CATS=1024 MCS_CATS=1024 conf
cp -f ${RPM_SOURCE_DIR}/modules-strict.conf  ./policy/modules.conf 
%installCmds strict strict-mcs y n allow
%endif

%if %{BUILD_MINIMUM}
# Build minimum policy
# Commented out because only minimum ref policy currently builds
%setupCmds minimum targeted-mcs y y allow
%installCmds minimum targeted-mcs y y allow
%endif

%if %{BUILD_MLS}
# Build mls policy
%setupCmds mls strict-mls n y allow
%installCmds mls strict-mls n y allow
%endif

%clean
%{__rm} -fR %{buildroot}

%post
if [ ! -s /etc/selinux/config ]; then
	#
	#	New install so we will default to targeted policy
	#
	echo "
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#	enforcing - SELinux security policy is enforced.
#	permissive - SELinux prints warnings instead of enforcing.
#	disabled - No SELinux policy is loaded.
SELINUX=enforcing
# SELINUXTYPE= can take one of these two values:
#	targeted - Only targeted network daemons are protected.
#	strict - Full SELinux protection.
#	mls - Multi Level Security protection.
SELINUXTYPE=targeted 
# SETLOCALDEFS= Check local definition changes
SETLOCALDEFS=0 

" > /etc/selinux/config

	ln -sf ../selinux/config /etc/sysconfig/selinux 
	restorecon /etc/selinux/config 2> /dev/null
else
	. /etc/selinux/config
	# if first time update booleans.local needs to be copied to sandbox
	[ -f /etc/selinux/${SELINUXTYPE}/booleans.local ] && mv /etc/selinux/${SELINUXTYPE}/booleans.local /etc/selinux/targeted/modules/active/
	[ -f /etc/selinux/${SELINUXTYPE}/seusers ] && cp -f /etc/selinux/${SELINUXTYPE}/seusers /etc/selinux/${SELINUXTYPE}/modules/active/seusers
	grep -q "^SETLOCALDEFS" /etc/selinux/config || echo -n "
# SETLOCALDEFS= Check local definition changes
SETLOCALDEFS=0 
">> /etc/selinux/config
fi

%postun
if [ $1 = 0 ]; then
	setenforce 0 2> /dev/null
	if [ ! -s /etc/selinux/config ]; then
		echo "SELINUX=disabled" > /etc/selinux/config
	else
		sed -i 's/^SELINUX=.*/SELINUX=disabled/g' /etc/selinux/config
	fi
fi

%post devel
[ -x /usr/sbin/sepolgen-ifgen ] && /usr/sbin/sepolgen-ifgen 

%if %{BUILD_TARGETED}
%package targeted
Summary: SELinux targeted base policy
Group: System Environment/Base
Provides: selinux-policy-base = %{version}-%{release}
Obsoletes: selinux-policy-targeted-sources
Prereq: policycoreutils >= %{POLICYCOREUTILSVER}
Prereq: coreutils
Prereq: selinux-policy = %{version}-%{release}

%description targeted
SELinux Reference policy targeted base module.

%pre targeted
%saveFileContext targeted

%post targeted
%rebuildpolicy targeted
%relabel targeted

%triggerpostun targeted -- selinux-policy-targeted <= 2.0.7
%rebuildpolicy targeted

%files targeted
%fileList targeted

%endif

%if %{BUILD_MINIMUM}
%package minimum
Summary: SELinux minimum base policy
Provides: selinux-policy-base = %{version}-%{release}
Group: System Environment/Base
Requires(pre): policycoreutils >= %{POLICYCOREUTILSVER}
Requires(pre): coreutils
Requires(pre): selinux-policy = %{version}-%{release}

%description minimum
SELinux Reference policy minimum base module.

%pre minimum
%saveFileContext minimum

%post minimum
( cd /usr/share/selinux/minimum; 
semodule -b base.pp -s minimum; 
);

%relabel minimum
exit 0

%files minimum
%fileList minimum

%endif

%if %{BUILD_MLS}
%package mls 
Summary: SELinux mls base policy
Group: System Environment/Base
Provides: selinux-policy-base = %{version}-%{release}
Obsoletes: selinux-policy-mls-sources
Requires: policycoreutils-newrole >= %{POLICYCOREUTILSVER}
Prereq: policycoreutils >= %{POLICYCOREUTILSVER}
Prereq: coreutils
Prereq: selinux-policy = %{version}-%{release}

%description mls 
SELinux Reference policy mls base module.

%pre mls 
%saveFileContext mls

%post mls 
%rebuildpolicy mls
%relabel mls

%files mls
%fileList mls

%endif

%if %{BUILD_STRICT}

%package strict 
Summary: SELinux strict base policy
Group: System Environment/Base
Provides: selinux-policy-base = %{version}-%{release}
Obsoletes: selinux-policy-strict-sources
Prereq: policycoreutils >= %{POLICYCOREUTILSVER}
Prereq: coreutils
Prereq: selinux-policy = %{version}-%{release}
Requires: policycoreutils-newrole >= %{POLICYCOREUTILSVER}

%description strict 
SELinux Reference policy strict base module.

%pre strict 
%saveFileContext strict

%post strict 
%rebuildpolicy strict
%relabel strict

%triggerpostun strict -- selinux-policy-strict <= 2.2.35-2
cd /usr/share/selinux/strict
x=`ls *.pp | grep -v -e base.pp -e enableaudit.pp | awk '{ print "-i " $1 }'`
semodule -b base.pp -r bootloader -r clock -r dpkg -r fstools -r hotplug -r init -r libraries -r locallogin -r logging -r lvm -r miscfiles -r modutils -r mount -r mta -r netutils -r selinuxutil -r storage -r sysnetwork -r udev -r userdomain -r vpnc -r xend $x -s strict

%triggerpostun strict -- strict <= 2.0.7
%rebuildpolicy strict 

%files strict
%fileList strict
%endif

%changelog
* Wed Jul 17 2013 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-346
- Allow chown capability for snmpd
Resolves:#978864
- Allow mysqld-safe to execute hostname

* Wed Jul 10 2013 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-345
- Back port squid_connect_any boolean
Resolves:#980495
- Make atd working in strict policy

* Thu Jun 20 2013 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-344
- Allow openvpn to create tmp files
Resolves:#966929
- Make pulic content as mountpoint

* Tue Jun 18 2013 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-343
- Fix ftpd_use_fusefs to cover also lnk files
Resolves:#926028
- Allow apache sys scripts to read /usr/share/snmp/mibs/.index
- Allow openvpn to manage openvpn log files 

* Mon May 20 2013 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-342
- Fix manage_lnk_file_perms macro to make fusefs booleans working correctly
Resolves:#926028
- Allow yppasswdd to use NIS
- Allow posftix domains to search mountpoints
- Allow sssd_t to connect to kerberos_password port

* Fri May 3 2013 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-341
- Allow chown for mysqld-safe running as mysqld_t
Resolves:#958759

* Fri May 3 2013 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-340
- Fix mysql labeling
- Allow domais can execute bin_t also execute usr_t
Resolves:#926028

* Mon Apr 29 2013 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-339
- Add fixes fro cron_admin() and sysadm_crontab_t to make atd workign correctly
Resolves:#838702
- Add fusefs booleans for apache and ftpd
Resolves:#923428
Resolves:#926028
- Allow squid to connect to auth port
Resolves:#953874
- Fix labeling for regressplans scripts and for eclipse
Resolves:#921671

* Thu Oct 11 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-338
- Allow samba domains to write socket labeled as samba_var_t
Resolves:#863155

* Wed Oct 10 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-337
- Allow hpfax to read initrc_var_run_t
Resolves:#839608

* Wed Sep 26 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-336
- nmbd needs to be allowed to create samba_var_t dir
Resolves:#855035

* Wed Sep 26 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-335
- Allow pulse to execute iptables
- Allow spamassassin to send signal to pyzor
Resolves:#855035

* Wed Sep 12 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-334
- Allow nmbd to create /var/nmbd
- Allow ipsec-mgmnt to ptrace ipsec
Resolves:#855324

* Thu Sep 6 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-333
- Allow krb5kdc to connect to pki_ca port
- Fix labeling for oracle libraries
- Allow restorecon_t to r/w to rgmanager pipe
Resolves:#851187

* Tue Sep 4 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-332
- Add labeling for /usr/libexec/sesh
- Allow snmpd to connect to own unix stream socket
- Allow hotplug to transition to brctl domain
- Allow procmail to read /var/spool/mqueue
- Allow pyzor to read spam tmp files
Resolves:#844694

* Mon Aug 6 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-331
- Add unconfined_exec_t labeling for condor_master
Resolves:#807686
- Allow piranha_web to read /dev/random
- Allow snmpd to stream connect to aisexec
- Add additional labeling for vdagent pid, log files

* Mon Jul 30 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-330
- Fixes for new syslogd
Resolves:#843841
- Alow top-pegasus to re-write own config
- Allow samba-net to /proc/net
- Allow postsuper to manage /var/spool/postfix/maildrop
- Allow snmpd to stream connect to ricci-modcluster

* Mon Jul 16 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-329
- Add man pages for fenced and virtd
- Allow fsdaemon to read /usr files
Resolves:#838063	
- Allow sssd setrlimit
- Fix labeling for log files
- Add extra rules for hplip3
- Allow clamd to access /var/run/amavisd directory

* Wed Jul 4 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-328
- Make top-pegasus workin in MLS
Resolves:#784197
- Add rules to allow amavisd to be started
Resolves:#480129
- Allow sssd_t to manage coolkey with auth_cachec_t label
- Allow cyrus-imapd to bind 119 port
- Allow sssd_t sys_resource capability
- Allow freeradius to connect to postgresql
- Make /usr/bin/R utility working correctly
Resolve:#803704
- Make postsuper working correctly
- Add support for proftpd mod_ban
- Dontaudit system_chkpwd accesses to ptynode
Resolves:#828122

* Tue Jan 24 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-327
- setroubleshootd needs to execute rpm
Resolves:#784307

* Wed Jan 18 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-326
- Allow openvpn to setsched 

* Wed Jan 18 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-325
- Add mcelog type for pid a sock ifle
- Allow openvpn sys_nice capability

* Thu Jan 5 2012 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-324
- More fixes for mcelog and MLS policy
Resolves:#709370
- Make cron jobs working in MLS
Resolves:#769204
- Add labeling for /var/cache/krb5rcache/

* Wed Dec 21 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-323
- Allow initrc_t to manage resolv.conf

* Mon Dec 19 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-322
- Add dontaudit code for firstboot leak
Resolves:#759499

* Thu Dec 15 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-321
- Make ssh-keygen domain as unconfined 
- Make dkim-milter working
Resolves:#718219

* Tue Nov 29 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-320
- Allow sssd to manage sssd lib lnk file
Resolves:#754121
- Allow postfix_smtpd to connect to milter

* Thu Nov 10 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-319
- Add mcelog policy
- Add other fix for rhsmcertd policy
Resolves: #724941

* Thu Oct 20 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-318
- Backport zarafa policy
Resolves: #720462
- Backport rhsmcertd policy
#Resolves: #724941
- Allow rgmanager to run init script in initrc_t
- Allow rsyslogd to read /usr/share/snmp/mibs/.index
- Backport milter fixes

* Thu Aug 29 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-317
- Backport RHEL6 changes 
	* Add dhcpc_exec_iptables boolean
	* Add labeling for passwd.adjunct
	* Allow domain transition from sysadm_t to passwd_t 
	* Allow swat write to samba logs 
	* Fixes for rgmanager
	* Allow procmail to execute hostname
	* MLS fixes 

* Fri Jun 24 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-316
- Allow rlogind to read .k5login

* Wed Jun 22 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-315
- Add label for HOME/.k5login

* Tue Jun 21 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-314
- Make mdadm_t domain MLS trusted for reading/writing to files at all levels

* Mon Jun 20 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-313
- Allow ricci-modcluser to connect to cluster port

* Wed Jun 15 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-312
- Allow confined users to remove ssh home directory
- Add support for iprinit, iprdump and iprupdate

* Wed Jun 8 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-311
- ssh-keygen needs to create ssh sysadm home files

* Tue Jun 7 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-310
- Other fix for ssh_run_keygen interface

* Mon Jun 6 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-309
- Fix ssh_run_keygen interface

* Wed Jun 1 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-308
- Make crontal -l working
- Allow sysadm_r to run ssh-keygen
- Allow snmpd to ptrace all domains

* Wed May 25 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-307
- Add httpd_execmem boolean

* Thu May 19 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-306
- Add MLS fixes
- Fix thunderbird.if interface
- Allow pyzor to read pyzor config
- Allow vsftpd kill
- Allow named to update logs in chroot 
- Fix labeling for iptabes files
- Fix auth_use_nsswitch interface to call sssd_stream_connect interface
- Allow domains to search default_t directories
- Dontaudit sys_module for netutils_t

* Thu Apr 7 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-305
- Add support for /dev/hpilo device

* Tue Apr 5 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-304
- SSH_USE_STRONG_RNG is 1 which requires /dev/random.
- Allow dnsmasq to read all tftp content
- Allow openswan to enable coredump
Resolves: #689960
- Allow lvm setfscreate

* Fri Mar 11 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-303
- Fixes for piranha-pulse
	* for services to failover
- Add interfaces for ftpd

* Wed Mar 2 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-302
- Backport sssd policy
Resolves: #672540

* Tue Mar 1 2011 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-301
- Make pyzor working with nfs home directories
Resolves: #674689
- Allow syslog setrlimit
Resolves: #674452
- Allow samba to create /etc/krb5.keytab
Resolves: #672289
- Allow samba to use utmp option
Resolves: #667692
- Allow clustat to bind on rpc ports
Resolves: #651609

* Thu Dec 9 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-300
- Fixes for insmod policy to make ipc work in MLS
Resolves: #661368

* Wed Dec 8 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-299
- Fix label for ooo libraries
Resolves: #477103

* Tue Dec 7 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-298
- Dontaudit iscsid sys_ptrace capability
- Allow iscsid set the priority of kernel threads
Resolves: #649691
- Allow svirt sys_rawio and sys_admin capability using virt_use_sysfs boolean
- Allow insmod send null signal to all domains
- Dontaudit vbetool attemps to read or write to console
- Allow consoletype to read and write init script unnamed pipes

* Wed Dec 1 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-297
- Allow snmpd setuid and setgid capability
Resolves: bz658436

* Tue Nov 30 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-296
- Other fixes to make single mode work in MLS
- Fixes for piranha-web policy
Resolves: #652074

* Wed Nov 24 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-295
- Fixes for MLS policy
#Resolves: #652074

* Tue Nov 23 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-294
- Allow svirt to manage files on hugetlbfs files file system
Resolves: #652644

* Tue Nov 16 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-293
- Add port definition for epmap port
- insmod needs to be able to create tmpfs_t files
#Resolves: #652074

* Wed Nov 10 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-292
- Allow winbind to read network state information
Resolves: #649492

* Tue Nov 9 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-291
- Fixes for rhcs policy
- Allow winbind to connect to epmap port
Resolves: #650141
- Remove transition from unconfined to postfix-master

* Mon Nov 8 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-290
- Allow smbcontrol to ping samba services
#Resolves: #649492
- Dontaudit iscsid to ptrace all domains

* Wed Oct 27 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-289
- Fixes for audisp-remote policy
- Fix httpd_setrlimit boolean
- Allow cups to manage printer spool lnk files
Resolves: #646731

* Tue Oct 19 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-288
- Allow postfix-map to read the network state information
Resolves:#643824

* Thu Oct 14 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-287
- Fixes for piranha-web policy
Resolves: #584447
- Make selinux-policy-base to provide version
- Remove duplicate declaration for /etc/NetworkManager/dispatcher.d

* Fri Oct 1 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-286
- Add httpd_setrlimit boolean
- Do not audit spamc attemps to read and write sendmail unix_stream_sockets
Resolves: #637843

* Fri Sep 24 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-285
- Add home_bin_t type and allow procmail to execute it
- Allow rpcd to set filesystem quotas of a filesystem with extended attributes
Resolves: #621057
- Add rpm_dontaudit_leaks code 
- Make winbind_tmp_t as user tmp file
Resolves: #598646
- Fixes for rhcs policy

* Tue Sep 21 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-284
- Allow aisexec to read and write to unconfined shared memory
Resolves: #633901

* Thu Sep 9 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-283
- Fix fptd_man page
Resolves: #625498
- Add support for newer HPLIP package
Resolves: #626858
- Allow pptp to read meminfo
Resolves: #551380

* Tue Jul 27 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-282
- Backport of svirt funtionality
Resolves: #582613

* Thu Jul 22 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-281
- Add piranha policy
#Resolves: #584447
- Fixes for rhcs policy
Resolves: #588902
- Add support for MSSQL
Resolves: #570481
- Fixes for BIND
Resolves: #578187
- Allow xm to read virt config link files
Resolves: #579497
- Fixes for ipsec policy
Resolves: #591975
- Allow postfix-smtpd sys_chroot capability
Resolves: #592752
- Allow rsyslogd to read random device
Resolves: #593139
- Fix label for /var/net-snmp directory
- Fix label for oddjob
- Allow apache to use mod_auth_pam via winbind
Resolves: #579105

* Thu Jul 15 2010 Dan Walsh <dwalsh@redhat.com> 2.4.6-280
- Allow aisexec ipc_owner
Resolves: #614796

* Thu Mar 4 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-279
- Allow modclusterd to use nsswitch
Resolves: #522158

* Tue Mar 2 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-278
- Add label for iptables-save
Resolves: #564376

* Tue Feb 23 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-277
- Fixes for rgmanager
Resolves: #522158

* Tue Feb 23 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-276
- Allow  cgi scripts run on nfs
- Fix for ftp_home_dir boolean
Resolves: #566975

* Fri Feb 19 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-275
- Allow qdiskd sys_boot capability 
- Fixes for fenced and rgmanager policy
Resolves: #522158

* Mon Feb 15 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-274
- Fix label for cluster ocf-shellfuncs
- Add slapd_initrc_exec_t type
- Fix fenced policy
Resolves: #522158

* Fri Feb 12 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-273
- Allow samba domains to manage authentication cache
Resolves: #507797
- Add label for chrooted named log file
Resolves: #562833

* Wed Feb 3 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-272
- Allow iscsid to create log file
Resolves: #548599

* Thu Jan 28 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-271
- Allow qemu to read from random number generator
Resolves: #552763
- Add label for /sbin/mke4fs
Resolves: #532565
- Add dhcpc ability to relabel net_conf_t files
Resolves: #559355
- Add iscsid fixes
Resolves: #548599
- Add new type for cups interface scripts
Resolves: #550015

* Tue Jan 12 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-270
- Allow prelink to load and execute functions from shared libraries
Resolves: #551664
- Add label for /etc/xen directory
Resolves: #554777

* Mon Jan 11 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-269
- Allow postfix_postdrop to read and write sendmail unix_stream_sockets
Resolves: #553492

* Tue Jan 5 2010 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-268
- Fix labels for postgrestgres test suite 
Resolves: #551063
- Fix multiple different specifications for /var/vdsm directory
Resolves: #549492

* Mon Dec 21 2009 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-267
- Add rgmanager fixes
- Allow setkey to read sysadm tmp files 
Resolves: #515687
- Allow fsdaemon to write to SCSI generic device
Resolves: #547387
- Add attribute configfile and allow init script to read configfile
Resolves: #546604

* Thu Dec 10 2009 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-266
- Add vhostmd policy
Resolves: #543941
- Allow to sysadm to run racoonctl 
Resolves: #545369 

* Wed Dec 2 2009 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-265
- Add ipsec_log_t type to ipsec policy
Resolves: #537106

* Fri Nov 6 2009 Miroslav Grepl <mgrepl@redhat.com> 2.4.6-264
- Allow spamassassin to read /var/lib/spamassassin/ directory
Resolves: #530750
- Add rule to allow send/recv unlabeled packet to kernel.if
Resolves: #530809
- Add labeling for /sbin/e4fsck
Resolves: #532565

* Tue Oct 27 2009 Dan Walsh <dwalsh@redhat.com> 2.4.6-263
- Fix strict policy to build with rgmanager policy
#Resolves: 531196
- Fix policy to set the UNKNOWN=allow flag on Real Time Kernel
Resolves: #531230

* Tue Oct 27 2009 Dan Walsh <dwalsh@redhat.com> 2.4.6-262
- Allow apache to search any user home dir
Resolves: #522158

* Sat Oct 17 2009 Dan Walsh <dwalsh@redhat.com> 2.4.6-261
- Allow ccs to communicate with userdomains, and create tmpfs_t
Resolves: #503141
Resolves: #522158

* Thu Oct 15 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-260
- Add clogd and other cluster patches from miroslav
- Allow hplip_t to r/w cupsd_t socket
Resolves: #483395
- Allow ssh_keygen_t to write to /root/.ssh directory
Resolves: #492519
- Add Red Hat Cluster Policy
Resolves: #503141
Resolves: #522158
- Allow sysadm_t to transition to setkey_t
Resolves: #513447

* Fri Sep 25 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-259
- Fixes to make nfs quotas work
Resolves: #525420

* Tue Sep 8 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-258
- remove /usr/bin/env from poligygentool
- Allow cyrus to communicate with snmp via stream socket
Resolves: #523548

* Fri Aug 28 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-257
- Complete addition of fast_cgi
Resolves: #519369

* Mon Aug 3 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-256
- Fix labeling on oracle libraries
Resolves: #516780
Resolves: #515491
Resolves: #515687
Resolves: #500400

* Mon Jul 27 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-255
- Allow samba as domain controller to change passwords
Resolves: #475562 

* Tue Jul 21 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-254
- Add ipsec_match_default_spd back into userdomain
- Allow sysadm_t to execute setkey and racoon executables
- Dontaudit write of logwatch to etc_t
- Allow samba as domain controller to change passwords
Resolves: #475562 
#Resolves: 429726
#Resolves: 513447
#Resolves: 499691

* Mon Jul 20 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-253
- Allow windbind to create directroies in samba_var_t
Resolves: #509174

* Tue Jul 7 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-252
- Change mmap_low boolean to effect unconfined_t
#Resolves: 511143
- Allow ipsec_t to read its init script
Resolves: #511359

* Tue Jul 7 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-251
- Remove transition from initrc_t to qemu_t 
Resolves: #504805

* Mon Jul 6 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-250
- Need to transition from initrc_t to qemu_t 
Resolves: #504805

* Fri Jun 19 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-249
- Fix sbin==bin
Resolves: #504805

* Fri Jun 19 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-248
- Allow cyrus to bind to port 3905
Resolves: #504805

* Mon Jun 15 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-247
- Additional privs for privoxy, kpropd found in other dists
- iscsi wants to look at the process state of all domains
Resolves: #506057

* Fri Jun 12 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-246
- Allow semanage_t to transition to initrc_t in order to restart mcstrans
Resolves: #460970
- Additional rules for ipsec
Resolves: #443646

* Thu Jun 11 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-245
- Allow qemu to use full networking
Resolves: #504238

* Tue Jun 9 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-244
- Allow qemu to append virt_log_t
Resolves: #504238

* Mon Jun 8 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-243
- Add policy for /dev/ksm
Resolves: #504238

* Thu Jun 4 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-242
- Allow all domains to search  bin_t and sbin_t
- Allow qemu to write to /var/run/svirt/qemu
Resolves: #499701

* Thu Jun 4 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-241
- Allow xm_ssh_t to search /root
Resolves: #499888

* Thu Jun 4 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-240
- Don't execute semanage command in post install
Resolves: #499701

* Wed Jun 3 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-239
- Allow rsync_t to read nfs and samba shares
Resolves: #499701

* Mon Jun 1 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-238
- Turn on qemu for Ovirt
Resolves: #499701

* Thu May 21 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-237
- Fix iptables labeling
Resolves: #499888

* Thu May 14 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-236
- Allow xm to execute ssh
Resolves: #499888

* Tue May 12 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-234
- Dontaudit sendmail leaked file descriptor
Resolves: #486187

* Mon May 11 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-233
- Add rsync_client for Fedora Infrastructure
- Allow spamd to exec itself when it gets a hup signal
Resolves: #499701

* Fri May 8 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-232
- Allow spamd to exec itself when it gets a hup signal
- Add Minimum policy for Ovirt to RHEL5
Resolves: #499701

* Tue May 5 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-231
- Add postgrey policy
- Allow xm_t in xen to list sysfs
Resolves: #499249

* Fri May 1 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-230
- Allow amanda to signal fsadm
- Add context for /var/cache/cgit
- Dontaudit apache leaked tcp_sockets
- Fixes for cvs service
-allow initrc_t and inetd_t siginh over their children
- add privoxy_connect_any boolean
- Allow smbd_t to signal nmbd_t
Resolves: #498596

* Thu Apr 24 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-229
- Fix sepolgen error regression
- Fix milter implementaion 
- Additional rules required for update to automount
Resolves: #497273

* Thu Apr 23 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-228
- Additional rules required for update to automount
Resolves: #497273

* Wed Apr 22 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-227
- Allow nfs to share removable devices
- Allow ipsec additional privs for FIPS compliance
Resolves: #497168

* Tue Apr 21 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-226
- Fix dnsmasq labeling for libvirt 
Resolves: #496867

* Thu Apr 16 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-225
- add context for rpc.quoatad
- Allow spamassassin to append to user_home_t for log files
  Resolves: #481387
Resolves: #486187

* Fri Apr 9 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-224
Allow ioctl to cron fifo pipes
Resolves: #481628

* Wed Apr 8 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-222
- Allow spamc to append to user_home_t
Resolves: #486187
- Allow dbus to send message back to all services
Resolves: #481628

* Fri Apr 3 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-221
- Allow procmail to domtrans to spamassassin
Resolves: #486187

* Fri Apr 3 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-220
- Allow procmail to domtrans to spamassassin
#Resolves: 486187
Resolves: #492567

* Fri Mar 27 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-219
- Add labeling for /var/named/chroot/proc
Resolves: #492567

* Fri Mar 13 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-218
- dnsmasq needs to read proc
- Allow nscd to reexec itself
#Resolves: 490024
Resolves: #429726

* Tue Mar 10 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-217
- Allow saslauthd access to kerberos host rcache
- Allow dbus to read all domains states
Resolves: #489899

* Thu Feb 26 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-216
- Dontaudit leaked descriptor to apache
- Fixes for strict policy
Resolves: #486354

* Mon Feb 23 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-215
- Label all matlab libraries as textrel_shlib_t
Resolves: #486965

* Mon Feb 23 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-214
- Allow init_t to transition to rpm_script_t
Resolves: #480163

* Fri Feb 20 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-213
 - Allow postfix_virtual_t to use private steam sock_file
- Fix java shared library in IBM package
Resolves: #486608

* Fri Feb 13 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-212
- More fixes for strict policy 
Resolves: #485111

* Wed Feb 11 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-211
- Allow samba to edit apache files in home dir
Resolves: #485111
- Allow procmail to transition to spamassassin domains
Resolves: #485107

* Wed Feb 11 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-210
- Fix labeling on sysstat package
Resolves: #485078

* Mon Feb 9 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-209
- Fix duplicate /var/turboprint 
Resolves: #477123

* Fri Feb 6 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-208
- Allow samba to manage ALL files in home dir if boolean set
#Resolves: 481146
- Fix typos in man pages
Resolves: #477123

* Wed Jan 28 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-207
- Remove lusterfs fs_use_xattr line
Resolves: #481628

* Mon Jan 26 2009 Dan Walsh <dwalsh@redhat.com>  2.4.6-205
- Allow dbus to send message back to all services
Resolves: #481628

* Fri Dec 19 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-204
- Allow ipsec_mgmt to exec sbin_t files (/sbin/lsmod)
Resolves: #469943

* Wed Dec 17 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-203
- Allow samba to rw/shadow
Resolves: #474854

* Mon Dec 15 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-202
- Additional winbind and samba_net issues caused by coolkey
Resolves: #474854

* Wed Dec 10 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-200
- Allow ldap to connect to sasl
- avc denials during samba active directory join
Resolves: #474852
- samba - winbind - periodic avc denials
Resolves: #474854
- "Syntax error on line 1 ' [type=SQUOTE]" upgrading selinux-policy-devel
Resolves: #474868
- missing policy
Resolves: #475273
	
* Fri Dec 5 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-199
- Allow apps that check password to write to faillog  
#Resolves: 474233
audisp_remote needs to bind to audit ports
Resolves: #474481
- Allow xm to stream connect to virt
Resolves: #472903

* Tue Dec 2 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-197
- Dontaudit search of /root for init daemons
- Fixes for ricci
- Allow xm to manage virt_image_t
Resolves: #472903

* Mon Dec 1 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-195
- Fixes for networkmanager
- Allow xm to manage virt_image_t
Resolves: #472903

* Tue Nov 25 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-194
- Fix ipsec management label
- Allow xm to manage virt_image_t
Resolves: #472903

* Thu Nov 20 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-193
- Fixes for networkmanager
- Eliminte import polgen
#Resolves: 442028
#Resolves: 437722
Resolves: #440151

* Thu Nov 20 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-192
- Allow named to use kerberos keytabs
#Resolves: 472373
Resolves: #440151

* Wed Nov 19 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-191
- Fixes for Fedora Infrastructure
- Stop transition to unconfined_t from init_t
#Resolves: 470574
Resolves: #440151

* Mon Nov 17 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-189
- Fixes for Fedora Infrastructure
Resolves: #440151

* Thu Nov 14 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-188
- Fixes for Fedora Infrastructure
- Make pegasus an unconfined_domain 
- Add pki policy
Resolves: #440151

* Mon Nov 10 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-185
- Fixes for Fedora Infrastructure
- Allow cups to signal hplip_t
Resolves: #470621

* Mon Nov 10 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-183
- Allow cups to signal hplip_t
Resolves: #470621
- Allow dnsmasq to use libvirt files

* Thu Nov 6 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-182
- Change apache httpd_use_nfs to mean managing nfs shares
- From Fedora Infrastructure
Resolves: #469943

* Thu Nov 6 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-181
- Change apache httpd_use_nfs to mean managing nfs shares
- From Fedora Infrastructure
Resolves: #469943

* Wed Nov 5 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-180
- Fix label on /usr/sbin/ipsec
Resolves: #469943

* Mon Nov 3 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-179
- Allow restorecon to read locale_t
Resolves: #469402
- Allow hal/pm-utils to look at /var/run/video.rom
#Resolves: 461645

* Fri Oct 24 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-178
- Allow dnsmasq reading of pid files
Resolves: #442028

* Fri Oct 24 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-177
- More fixes for NetworkManager
Resolves: #442028
	  
* Tue Oct 21 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-173
- Allow samba to read crack_db
Resolves: #467905

* Tue Oct 21 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-171
- Allow ssh_keygen_t to read fips_enabled
Resolves: #467720

* Mon Oct 20 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-170
- Allow confined domains to read fips_enabled
Resolves: #467720

* Fri Oct 20 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-168
- Add zosremote policy
- Allow confined domains to read fips_enabled
Resolves: #467720

* Wed Oct 15 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-167
- Fix relabel to not output so many avcs
Resolves: #467229

* Wed Oct 15 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-166
- Allow snmp to getsched
Resolves: #466470

* Wed Oct 8 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-165
- New policy to allow fsdaemon to create correctly labeled devices
Resolves: #456471

* Wed Oct 8 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-164
- Fix labeling on dhclient-lease files
- Allow portmap_helper to bind to rpc ports
Resolves: #451805

* Thu Oct 2 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-162
- Allow domains to read etc_runtime for access to modified denyhosts
- Allow dhcpc_t to list dbusd_etc_t directory
Resolves: #459888

* Tue Sep 23 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-161
- More fixes for NetworkManager
Resolves: #442028

* Tue Sep 23 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-160
- Upgrade dbus policy to match new package
Resolves: #463267

* Tue Sep 16 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-158
- Proper labeling on wsgi
Resolves: #461323

* Thu Sep 11 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-157
- Allow postdrop rw sendmail unix_stream sockets
- Additional snmp 
Resolves: #461323

* Thu Sep 11 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-156
- Add racoon/ipsec policy
Resolves: #247510

* Thu Sep 11 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-155
- Complete backport of logging/audit policy
- Allow pegasus to look at kernel xen information
#Resolves: #440151
Resolves: #461624

* Fri Sep 5 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-154
- Allow portmak to read kernel state 
- Allow ricci to figure out if cluster services are running
Resolve: #461769

* Thu Sep 4 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-153
- Make stunnel work with psieved and other python scripts
Resolve: #460733

* Wed Sep 3 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-152
- Allow freeradius to connect to snmp port
Resolve: #461040

* Tue Sep 2 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-151
- allow mailman_t signull
- Fix location of sepolgen-ifgen
Resolves: #460398
 
* Fri Aug 29 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-150
- Allow iscsi net_raw
Resolves: #460398

* Tue Aug 26 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-149
- Fix file context to install on strict/mls policy
- Allow hal to modify input device
Resolves: #442623

* Thu Aug 7 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-145
- Policy does not allow ifpolgen-if to work properly
Resolves: #444133

* Thu Aug 7 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-144
- add mmap_low boolean
Resolves: #444133

* Tue Jul 29 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-143
- Allow smbd_t to chown files
Resolves: #456674

* Wed Jul 16 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-142
- add mmap_low boolean
- Upgrade to latest networkmanager policy
- Add kpropd policy
- update nscd policy
- Update ntp policy
- Update openvpn policy
- Fix ppp_read_read interface
- fix portmapper to allow it to connect to all <1024 ports
- Fix ricci_modstorage to be able to start clvmd
Resolves: #442028
Resolves: #447014
Resolves: #455784

* Mon Jun 16 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-141
- Allow squid to listen to port 3401
Resolves: #452787
Resolves: #450390

* Mon Jun 16 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-139
- Add infiniband support
Resolves: #447854

* Mon May 5 2008 Dan Walsh <dwalsh@redhat.com>  2.4.6-138
- Allow pam_console to setattr on cpu_device_t
Resolves: #447403
- selinux-policy support for virtio block devices
Resolves: #446229

* Tue Apr 29 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-137.1
- Allow named to bind to any udp port
Resolves: #451970

* Tue Apr 29 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-137
- Allow mdadm to read /dev/.udev directory
Resolves: #248467

* Mon Apr 28 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-136
- Allow mdadm to read /dev/.udev directory
- Allow Radiusd to access mysql
Resolves: #248467

* Mon Apr 21 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-135
- Fixes for radiousd access in SELinux
Resolves: #248467

* Sat Apr 19 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-134
- Allow kerberos daemons to create log files
- Resolves: 442981
- Fix label on /usr/libexec/hal_lpadmin
Resolves: #442951

* Thu Apr 17 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-133
- Allow netutils to read kernel and net sysctls
Resolves: #439018

* Mon Apr 14 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-131
- Allow rpc apps to manage coolkey directory
Resolves: #440685

* Thu Apr 10 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-130
- Fix regression 
Resolves: #440260

* Wed Apr 9 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-129
- Fix regression 
Resolves: #440260

* Sun Apr 6 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-128
- Allow dhcpc to read dbus config
Resolves: #440260

* Fri Apr 4 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-127
- Allow deliver to manage homedir content, and 
Resolves: #414891

* Tue Mar 11 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-126
- Allow lvm to create fifo_file
#Resolves: #240005
- Fix building of policy modules with Makefile
Resolves: #438234

* Wed Feb 27 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-125
- Dontaudit leaked httpd file descriptor
Resolves: #430702

* Tue Feb 26 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-124
- Fix deletion of dovecot files in strict/mls policy Resolves 434843
- Allow hal to setsched on kernel
Resolves: #435197

* Fri Feb 22 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-123
- Fix labeling of exim log files
Resolves: #429843


* Tue Feb 19 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-122
- Allow vpnc to bind to ipsecnat port
Resolves: #433363

* Thu Feb 7 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-121
- Fix transition rules on creation of nfs files in homedir.
Resolves: #430577

* Wed Feb 6 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-120
- Fix transition rules on creation of nfs files in homedir.
Resolves: #430577

* Mon Feb 4 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-119
- Revert previous version of policygentool
- Remove snmpd_etc_t
Resolves: #247461

* Thu Jan 31 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-118
- Allow xdm_xserver_t to domain_mmap_low
Resolves: #431023

* Tue Jan 29 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-117
- Allow mailman to signal itself
Resolves: #430639
- Allow iscsid to setrlimit 
Resolves: #430669
- Additional fix to allow setroubleshoot to talk to dbus
Resolves: #224351

* Mon Jan 21 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-116
- Allow sysstat to read sysfs
Resolves: #429554

* Thu Jan 17 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-115
- Update selinux-policy to handle setroubleshoot
Resolves: #224351

* Tue Jan 15 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-114
- Allow restorecond to read homedir sym links
- Allow mailservers/postfix to use nfs file systems
Resolves: #245605

* Thu Jan 10 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-112
- Turn off domain fd for MLS
Resolves: #427517

* Thu Jan 10 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-111
- Fix passing of fds, test regression
Resolves: #427517

* Tue Jan 8 2008 Dan Walsh <dwalsh@redhat.com> 2.4.6-110
- Add access for oddjob
Resolves: #427517

* Tue Dec 18 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-108
- Allow kudzu to domtrans to unconfined_t
- Allow audit to send mail
- Allow mailman and postfix to interact
Resolves: #425806:

* Tue Dec 11 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-107
- Remove badly labeled pegasus directory
- Allow postfix to work with NFS homedirs
- Allow iptables to connect to ldap
- Allow apache scripts to run nice
- Allow ntpd to use /dev/ptmx for setting the time
- Allow automount to read /dev/random
- Allow samba to use kerberos
- Allow squid to access to port 2048
- Allow amanda to talk to ldap
- Allow yppasswd to run pwupdate
- Allow automount to mount squashfs
- Add new nscd permissions
- 
Resolves: #245605
Resolves: #248838
Resolves: #251841
Resolves: #253999
Resolves: #316011
Resolves: #326631
Resolves: #350511
Resolves: #366461
Resolves: #390771
Resolves: #247814
Resolves: #238347
Resolves: #351051
Resolves: #254199
Resolves: #288771
Resolves: #294671
Resolves: #317281
Resolves: #340311
Resolves: #340321
Resolves: #386481
Resolves: #327121
Resolves: #416541
Resolves: #416561
Resolves: #414891

Resolves: 383231
Resolves: 254197
Resolves: 266341
Resolves: 248835
Resolves: 326721
Resolves: 319791
Resolves: 359701
Resolves: 374431
Resolves: 403241
Resolves: 251712
Resolves: 283971
Resolves: 284361
Resolves: 300391
Resolves: 339651
Resolves: 383191
Resolves: 279261

* Tue Oct 23 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-106.EL5_1.3
- Allow NetworkManager and rpm_t to dbus chat
- Rebuilding for errata tool
Resolves: 345991

* Tue Oct 2 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-106.1
- dontaudit consoletype talking to hotplug
- allow hotplug to signal ifconfig
Resolves: 328211
Resolves: 328251

* Tue Oct 2 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-106
- Remove additional avc's caused by pm-tools
Resolves: #282421

* Tue Oct 2 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-104
- Fix salsa context to create alsa.sound correctly
Resolves: #315341

* Mon Oct 1 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-102
- Allow multipathd to connect to itself
#Resolves: #311741
Resolves: #245268

* Thu Sep 27 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-101
- Dontaudit postfix_smtpd_t getattr on /home
- Fix ftp
Resolves: #245268

* Tue Sep 25 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-99
- Introduced a minor bug when fixing replay cache, blowing up strict policy
Resolves: #284831

* Mon Sep 24 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-97
- Fixup clmvd to allow creation of fixed devices
- Fixes telnet/rlogin using replay cache
Resolves: #284831
#Resolves: #300391

* Thu Sep 13 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-93
- Allow hal to write to pm-tools directories
Resolves: #282421
#Resolves: #280271

* Wed Sep 12 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-92
- Many fixes for Kerberos Replay Cache.
Resolves: #282421

* Tue Sep 11 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-91
- Many fixes for Kerberos Replay Cache.
- Allow xfs to listen on port 7100
Resolves: #282421

* Fri Sep 7 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-90
- Additional perms for xen
Resolves: #249895

* Tue Sep 5 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-89
- Allow postfix to read master proc info
- Allow unix_update to talk to nsswitch
- Allow dmidecode to search sysfs_t
Resolves: #263141

* Mon Sep 4 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-88
- Fix relabel of /var/run dir
#Resolves: #238751
- Allow snmp to read any directory
#Resolves: #246431
- Allow cimserver to create pegasus_data directories
Resolves: #213809
- Change to context on /var/run/libvirt
Resolves: #249069

* Wed Aug 21 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-86
- More fixes for snmp
Resolves: #246431

* Tue Aug 21 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-85
- Fix duplicate /etc/asound.state
- Allow auditctl to getattr on all files
Resolves: #249754

* Mon Aug 20 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-84
- Allow dovecot read of /tmp files for kerberos
#Resolves:#251841
- Fix apache policy for virtual hosting
#Resolves #253309
- Allow Xen to run on nfs
Resolves: #253744

* Thu Aug 16 2007 Steve Grubb <sgrubb@redhat.com> 2.4.6-83
- Add set_loginuid permission to ftpd_t
Resolves:#220085

* Tue Aug 7 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-82
- Fix java specifications for IBM
- Fix xen startup problems
Resolves:#249895

* Fri Jul 27 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-81
- Allow auditctl dac_override and dac_read_search
Resolves:#249754

* Wed Jul 11 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-80
- New devices
- Allow fsadm to use xen images and log files
#Resolves:#249528

* Fri Jul 7 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-79
- Allow hal to write to pm-suspend
Resolves:#245926

* Sun Jul 1 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-78
- Added fixes for gfs init script
Resolves:#246194

* Mon Jun 11 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-77
- More fixes add mmap_zero for new kernel
Resolves:#244690

* Mon Jun 11 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-76
- Allow xenconsole to manage xen log files
- add mmap_zero for new kernel
- Fixes for RHEL5
Resolves:#244690

* Mon Jun 11 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-75
- Allow lvm to connecto unix_stream_socket
Resolves: #241621

* Tue May 29 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-74
- Fix location of ypxfr on 64 bit platforms
- Fixes for nagios, postfix, procmail, saslauthd, arpwatch, avahi, dovecot
Resolves: #241621

* Tue May 22 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-72
- Allow prelink sys_resource,  Add transition rule to allow apps to run java in different context

* Mon May 15 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-71
- Allow netlable to read etc and work with init terminals
- Change file context to have all of policy at SystemLow
Resolves: #239079

* Mon May 15 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-70
- Back out Useradd change
Resolves: #239079

* Mon May 7 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-69
- Useradd causes files to lower sensitivity
Resolves: #239079

* Thu May 3 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-68
- Cleanup handling of audit messages
Resolves: #238189

* Tue Apr 24 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-67
- Allow logging into the console on s390
Resolves: #237703
- Additional avc's caused by change in unix_update
Resolves: #236316

* Tue Apr 24 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-64
- Fix crond avc when trying to read shadow
Resolves: #236316

* Tue Apr 24 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-63
- Handle password experation
Resolves: #236316

* Fri Apr 20 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-62
- Revert patch to stop secadm and sysadm from having audit_control
Resolves: #236855

* Thu Apr 19 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-61 
- Fix admin_domain_template to allow custom user types
Resolves: #237133
-Allow lvm to create/delete generic device_t direcories/files under /dev 
Resolves: #237128 

* Wed Apr 18 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-60
- Fixes for AIDE at SystemHigh
- Stop secadm and sysadm from having audit_control
Resolves: #236855

* Mon Apr 16 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-59
- Allow racoon to send audit messages
Resolves: #232508

* Mon Apr 16 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-58
- Fix aide specification 
Resolves: #234885

* Fri Apr 13 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-57
- Allow ssh to read passwd crack database
Resolves: #236316

* Wed Apr 11 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-56
- Allow lvm mls_file_read_up to look at Fixed disks
Resolves: #236060

* Mon Apr 10 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-55
- kudzu Needs to ptrace init
Resolves: #225443

* Mon Apr 10 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-54
- syslog needs to be run as SystemHigh
- Fix file context mapping
Resolves: #235725

* Thu Apr 5 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-52
- Allow netutils to read sysfs
Resolves: #235357
- Allow samba to work as a PDC
Resolves: #235360
- Allow ypserv to bind to ports 600-1024
Resolves: #235363
- Fix kudzu to be able to telinit
Resolves: #225443

* Tue Apr 3 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-51
- Allow nscd setcap privs

* Mon Apr 2 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-50
- More work to allow kudzu to setup init correctly so getty will work
Resolves: #225443
- Allow pegasus to execute ifconfig
Resolves: #227485
- Allow Aide to look at lnk_files and other fixes
Resolves: #234885
- querying cups jobs with sysadm_r needs override mls restrictions
Resolves: #234889

* Tue Mar 27 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-49
- Change init_daemon_domain(netlabel_mgmt_t,netlabel_mgmt_exec_t)
- to init_system_domain(netlabel_mgmt_t,netlabel_mgmt_exec_t)
Resolves: #233313

* Tue Mar 20 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-47
- Allow sysadm_r to transition to netlabel_mgmt
Resolves: #233313
- Allow kudzu to setup init correctly so getty will work
Resolves: #225443

* Tue Mar 20 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-46
- Allow cyrus_t to user kerberos
- Allow cyrus_t to send mail
- Allow saslauthd_t to user kerberos

* Fri Mar 9 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-45
- Allow setkey to search racoon_conf
- Allow ccs to create tmp files
Resolves: #231021

* Fri Mar 9 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-44
- Fix use of hi_reserved_port_t

* Tue Mar 6 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-43
- Add amtu policy for MLS
Resolves: #231021
-Additional paths for cups

* Thu Mar 1 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-42
- Dontaudit restorecon writing to cron pipes
- Fix filespec for /dev/ub*
- Allow ftp and telnet to use kerberos key files
- Allow syslog to use alternate ports
- Allow radious to look at the routing table
- Allow pyzor to getattr on autofs

* Thu Feb 22 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-41
- Allow samba to run as domain controller - execute useradd

* Fri Feb 16 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-40
- Fix bugzilla file context.

* Thu Feb 15 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-39
- Add bugzilla policy
- Allow procmail to create tmp files so spamassisin will work
- Some fixes for pyzor

* Wed Feb 14 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-38
- Removing dangling inlcud symlink if devel not installed
Resolves: #220085

* Mon Feb 12 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-37
- Allow kudzu to signal init to restart
Resolves: #225443

* Mon Feb 5 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-36
- Allow xen to work properly on ia64, needs to be able to read dosfs_t
Resolves: #217362
- Allow mozilla, evolution and thunderbird to read dev_random.
Resolves: FC6-227002
- Allow spamd to connect to smtp port
Resolves: FC6-227184
- Fixes to make ypxfr work
Resolves: FC6-227237
- Allow audit fsetsid capability
Resolves: FC6-227423
- Allow syslog (syslog-ng) to tcp_connect to other syslog servers
Resolves: FC6-218978

* Fri Jan 26 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-35
- Fixes to make setrans work properly on MLS
Resolves: #224441

* Fri Jan 26 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-34
- Fixes to make setrans work properly on MLS
Resolves: #224441

* Fri Jan 26 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-33
- Additional fixes for ricci_modstorage, lvm
- Fixes for mls policy net label
Resolves: #224441

* Wed Jan 24 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-31
- Fix clvmd policy
- Fix squid cgi script to run with correct context.
- Maintain proper context on /etc/lvm/.cache file
- Lots of fixes for ricci and friends
- mount.nfs needs sys_resource
- Change gstreamer context for only i386
- Fix libXcomp file_context
Resolves: #224441

* Tue Jan 23 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-30
- Fixes for ricci_modservice
Resolves: #217519

* Mon Jan 22 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-29
- remove swapfile avc
- Fix rpcsvcgssd
Resolves: #217519

* Wed Jan 17 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-28
- Allow logwatch to use ypbind
- Allow system_crond_t to create cron_var_run_t files (prelink files)
- dontaudit postfix-smtp reading /boot, fix file context on lmtp
Resolves: #215722

* Mon Jan 15 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-27
- Fix senmail avc trying to read /root
- More fixes for ssh transitions to userspace
Resolves: #221608
Resolves: #222548

* Fri Jan 12 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-26
- automounter needs setuid
- prelink needs to be able to rw_dir_perms on usr_t
- pcscd_t needs to be able to search sysfs_t
- Lots of fixes to run sshd under xinetd
Resolves: #219999

* Wed Jan 10 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-25
- Allow pcscd to use dac_search_override capability
Resolves: #222064

* Mon Jan 8 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-24
- Allow prelink when run from rpm to create tmp files
Resolves: #221865
- Remove file_context for exportfs
Resolves: #221181
- Allow spamassassin to create ~/.spamassissin
Resolves: #203290
- Allow netlabel packets to flow.
Resolves: #210426
* Fri Jan 5 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-23
- Allow ssh access to the krb tickets
- Allow sshd to change passwd
- Stop newrole -l from working on non securetty
Resolves: #200110


* Wed Jan 3 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-22
- Fixes to run prelink in MLS machine
Resolves: #221233

* Tue Jan 2 2007 Dan Walsh <dwalsh@redhat.com> 2.4.6-21
- Allow spamassassin to read var_lib_t dir
Resolves: #219234

* Fri Dec 29 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-20
- fix mplayer to work under strict policy
- Allow iptables to use nscd
Resolves: #220794

* Thu Dec 28 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-19
- Add gconf policy and make it work with strict

* Sat Dec 23 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-18
- Many fixes for strict policy and by extension mls.

* Fri Dec 22 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-17
- Fix to allow ftp to bind to ports > 1024
Resolves: #219349

* Tue Dec 19 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-16
- Allow semanage to exec it self.  Label genhomedircon as semanage_exec_t
Resolves: #219421
- Allow sysadm_lpr_t to manage other print spool jobs
Resolves: #220080

* Mon Dec 18 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-15
- allow automount to setgid
Resolves: #219999

* Thu Dec 14 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-14
- Allow cron to polyinstatiate 
- Fix creation of boot flags
Resolves: #207433

* Thu Dec 14 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-13
- Fixes for irqbalance
Resolves: #219606

* Thu Dec 14 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-12
- Fix vixie-cron to work on mls
Resolves: #207433

* Wed Dec 13 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-11
Resolves: #218978

* Tue Dec 12 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-10
- Allow initrc to create files in /var directories
Resolves: #219227

* Fri Dec 8 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-9
- More fixes for MLS
Resolves: #181566

* Wed Dec 6 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-8
- More Fixes polyinstatiation
Resolves: #216184

* Wed Dec 6 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-7
- More Fixes polyinstatiation
- Fix handling of keyrings
Resolves: #216184

* Mon Dec 4 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-6
- Fix polyinstatiation
- Fix pcscd handling of terminal
Resolves: #218149
Resolves: #218350

* Fri Dec 1 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-5
- More fixes for quota
Resolves: #212957

* Fri Dec 1 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-4
- ncsd needs to use avahi sockets
Resolves: #217640
Resolves: #218014

* Thu Nov 28 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-3
- Allow login programs to polyinstatiate homedirs
Resolves: #216184
- Allow quotacheck to create database files
Resolves: #212957

* Tue Nov 28 2006 Dan Walsh <dwalsh@redhat.com> 2.4.6-1
- Dontaudit appending hal_var_lib files 
Resolves: #217452
Resolves: #217571
Resolves: #217611
Resolves: #217640
Resolves: #217725

* Mon Nov 21 2006 Dan Walsh <dwalsh@redhat.com> 2.4.5-4
- Fix context for helix players file_context #216942

* Mon Nov 20 2006 Dan Walsh <dwalsh@redhat.com> 2.4.5-3
- Fix load_policy to be able to mls_write_down so it can talk to the terminal

* Mon Nov 20 2006 Dan Walsh <dwalsh@redhat.com> 2.4.5-2
- Fixes for hwclock, clamav, ftp

* Wed Nov 15 2006 Dan Walsh <dwalsh@redhat.com> 2.4.5-1
- Move to upstream version which accepted my patches

* Wed Nov 15 2006 Dan Walsh <dwalsh@redhat.com> 2.4.4-2
- Fixes for nvidia driver

* Tue Nov 14 2006 Dan Walsh <dwalsh@redhat.com> 2.4.4-2
- Allow semanage to signal mcstrans

* Tue Nov 14 2006 Dan Walsh <dwalsh@redhat.com> 2.4.4-1
- Update to upstream

* Mon Nov 13 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-13
- Allow modstorage to edit /etc/fstab file

* Mon Nov 13 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-12
- Fix for qemu, /dev/

* Mon Nov 13 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-11
- Fix path to realplayer.bin

* Fri Nov 10 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-10
- Allow xen to connect to xen port

* Fri Nov 10 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-9
- Allow cups to search samba_etc_t directory
- Allow xend_t to list auto_mountpoints

* Thu Nov 9 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-8
- Allow xen to search automount

* Thu Nov 9 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-7
- Fix spec of jre files 

* Wed Nov 8 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-6
- Fix unconfined access to shadow file

* Wed Nov 8 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-5
- Allow xend to create files in xen_image_t directories

* Wed Nov 8 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-4
- Fixes for /var/lib/hal

* Tue Nov 7 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-3
- Remove ability for sysadm_t to look at audit.log

* Tue Nov 7 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-2
- Fix rpc_port_types
- Add aide policy for mls

* Mon Nov 6 2006 Dan Walsh <dwalsh@redhat.com> 2.4.3-1
- Merge with upstream

* Fri Nov 3 2006 Dan Walsh <dwalsh@redhat.com> 2.4.2-8
- Lots of fixes for ricci

* Fri Nov 3 2006 Dan Walsh <dwalsh@redhat.com> 2.4.2-7
- Allow xen to read/write fixed devices with a boolean
- Allow apache to search /var/log

* Thu Nov 2 2006 James Antill <james.antill@redhat.com> 2.4.2-6
- Fix policygentool specfile problem.
- Allow apache to send signals to it's logging helpers.
- Resolves: rhbz#212731

* Wed Nov 1 2006 Dan Walsh <dwalsh@redhat.com> 2.4.2-5
- Add perms for swat

* Tue Oct 31 2006 Dan Walsh <dwalsh@redhat.com> 2.4.2-4
- Add perms for swat

* Mon Oct 30 2006 Dan Walsh <dwalsh@redhat.com> 2.4.2-3
- Allow daemons to dump core files to /

* Fri Oct 27 2006 Dan Walsh <dwalsh@redhat.com> 2.4.2-2
- Fixes for ricci

* Fri Oct 27 2006 Dan Walsh <dwalsh@redhat.com> 2.4.2-1
- Allow mount.nfs to work

* Fri Oct 27 2006 Dan Walsh <dwalsh@redhat.com> 2.4.1-5
- Allow ricci-modstorage to look at lvm_etc_t

* Mon Oct 23 2006 Dan Walsh <dwalsh@redhat.com> 2.4.1-4
- Fixes for ricci using saslauthd

* Mon Oct 23 2006 Dan Walsh <dwalsh@redhat.com> 2.4.1-3
- Allow mountpoint on home_dir_t and home_t

* Mon Oct 23 2006 Dan Walsh <dwalsh@redhat.com> 2.4.1-2
- Update xen to read nfs files

* Mon Oct 23 2006 Dan Walsh <dwalsh@redhat.com> 2.4-4
- Allow noxattrfs to associate with other noxattrfs 

* Mon Oct 23 2006 Dan Walsh <dwalsh@redhat.com> 2.4-3
- Allow hal to use power_device_t

* Fri Oct 20 2006 Dan Walsh <dwalsh@redhat.com> 2.4-2
- Allow procemail to look at autofs_t
- Allow xen_image_t to work as a fixed device

* Thu Oct 19 2006 Dan Walsh <dwalsh@redhat.com> 2.4-1
- Refupdate from upstream

* Thu Oct 19 2006 Dan Walsh <dwalsh@redhat.com> 2.3.19-4
- Add lots of fixes for mls cups

* Wed Oct 18 2006 Dan Walsh <dwalsh@redhat.com> 2.3.19-3
- Lots of fixes for ricci


* Mon Oct 16 2006 Dan Walsh <dwalsh@redhat.com> 2.3.19-2
- Fix number of cats

* Mon Oct 16 2006 Dan Walsh <dwalsh@redhat.com> 2.3.19-1
- Update to upstream

* Thu Oct 12 2006 James Antill <jantill@redhat.com> 2.3.18-10
- More iSCSI changes for #209854

* Tue Oct 10 2006 James Antill <jantill@redhat.com> 2.3.18-9
- Test ISCSI fixes for #209854

* Sun Oct 8 2006 Dan Walsh <dwalsh@redhat.com> 2.3.18-8
- allow semodule to rmdir selinux_config_t dir

* Fri Oct 6 2006 Dan Walsh <dwalsh@redhat.com> 2.3.18-7
- Fix boot_runtime_t problem on ppc.  Should not be creating these files.

* Thu Oct 5 2006 Dan Walsh <dwalsh@redhat.com> 2.3.18-6
- Fix context mounts on reboot
- Fix ccs creation of directory in /var/log

* Thu Oct 5 2006 Dan Walsh <dwalsh@redhat.com> 2.3.18-5
- Update for tallylog

* Thu Oct 5 2006 Dan Walsh <dwalsh@redhat.com> 2.3.18-4
- Allow xend to rewrite dhcp conf files
- Allow mgetty sys_admin capability

* Wed Oct 4 2006 Dan Walsh <dwalsh@redhat.com> 2.3.18-3
- Make xentapctrl work

* Tue Oct 3 2006 Dan Walsh <dwalsh@redhat.com> 2.3.18-2
- Don't transition unconfined_t to bootloader_t
- Fix label in /dev/xen/blktap

* Tue Oct 3 2006 Dan Walsh <dwalsh@redhat.com> 2.3.18-1
- Patch for labeled networking

* Mon Oct 2 2006 Dan Walsh <dwalsh@redhat.com> 2.3.17-2
- Fix crond handling for mls

* Fri Sep 28 2006 Dan Walsh <dwalsh@redhat.com> 2.3.17-1
- Update to upstream

* Fri Sep 28 2006 Dan Walsh <dwalsh@redhat.com> 2.3.16-9
- Remove bluetooth-helper transition
- Add selinux_validate for semanage
- Require new version of libsemanage

* Fri Sep 28 2006 Dan Walsh <dwalsh@redhat.com> 2.3.16-8
- Fix prelink

* Fri Sep 28 2006 Dan Walsh <dwalsh@redhat.com> 2.3.16-7
- Fix rhgb

* Thu Sep 27 2006 Dan Walsh <dwalsh@redhat.com> 2.3.16-6
- Fix setrans handling on MLS and useradd

* Wed Sep 27 2006 Dan Walsh <dwalsh@redhat.com> 2.3.16-5
- Support for fuse
- fix vigr

* Wed Sep 27 2006 Dan Walsh <dwalsh@redhat.com> 2.3.16-4
- Fix dovecot, amanda
- Fix mls

* Mon Sep 25 2006 Dan Walsh <dwalsh@redhat.com> 2.3.16-2
- Allow java execheap for itanium

* Mon Sep 25 2006 Dan Walsh <dwalsh@redhat.com> 2.3.16-1
- Update with upstream

* Mon Sep 25 2006 Dan Walsh <dwalsh@redhat.com> 2.3.15-2
- mls fixes 

* Fri Sep 22 2006 Dan Walsh <dwalsh@redhat.com> 2.3.15-1
- Update from upstream 

* Fri Sep 22 2006 Dan Walsh <dwalsh@redhat.com> 2.3.14-8
- More fixes for mls
- Revert change on automount transition to mount

* Wed Sep 20 2006 Dan Walsh <dwalsh@redhat.com> 2.3.14-7
- Fix cron jobs to run under the correct context

* Tue Sep 19 2006 Dan Walsh <dwalsh@redhat.com> 2.3.14-6
- Fixes to make pppd work

* Mon Sep 18 2006 Dan Walsh <dwalsh@redhat.com> 2.3.14-4
- Multiple policy fixes
- Change max categories to 1023

* Sat Sep 16 2006 Dan Walsh <dwalsh@redhat.com> 2.3.14-3
- Fix transition on mcstransd

* Fri Sep 15 2006 Dan Walsh <dwalsh@redhat.com> 2.3.14-2
- Add /dev/em8300 defs

* Fri Sep 15 2006 Dan Walsh <dwalsh@redhat.com> 2.3.14-1
- Upgrade to upstream

* Thu Sep 14 2006 Dan Walsh <dwalsh@redhat.com> 2.3.13-6
- Fix ppp connections from network manager

* Wed Sep 13 2006 Dan Walsh <dwalsh@redhat.com> 2.3.13-5
- Add tty access to all domains boolean
- Fix gnome-pty-helper context for ia64

* Mon Sep 11 2006 Dan Walsh <dwalsh@redhat.com> 2.3.13-4
- Fixed typealias of firstboot_rw_t

* Thu Sep 7 2006 Dan Walsh <dwalsh@redhat.com> 2.3.13-3
- Fix location of xel log files
- Fix handling of sysadm_r -> rpm_exec_t 

* Thu Sep 7 2006 Dan Walsh <dwalsh@redhat.com> 2.3.13-2
- Fixes for autofs, lp

* Wed Sep 6 2006 Dan Walsh <dwalsh@redhat.com> 2.3.13-1
- Update from upstream

* Tue Sep 5 2006 Dan Walsh <dwalsh@redhat.com> 2.3.12-2
- Fixup for test6

* Tue Sep 5 2006 Dan Walsh <dwalsh@redhat.com> 2.3.12-1
- Update to upstream

* Fri Sep 1 2006 Dan Walsh <dwalsh@redhat.com> 2.3.11-1
- Update to upstream

* Fri Sep 1 2006 Dan Walsh <dwalsh@redhat.com> 2.3.10-7
- Fix suspend to disk problems

* Thu Aug 31 2006 Dan Walsh <dwalsh@redhat.com> 2.3.10-6
- Lots of fixes for restarting daemons at the console.

* Wed Aug 30 2006 Dan Walsh <dwalsh@redhat.com> 2.3.10-3
- Fix audit line
- Fix requires line

* Tue Aug 29 2006 Dan Walsh <dwalsh@redhat.com> 2.3.10-1
- Upgrade to upstream

* Mon Aug 28 2006 Dan Walsh <dwalsh@redhat.com> 2.3.9-6
- Fix install problems

* Fri Aug 25 2006 Dan Walsh <dwalsh@redhat.com> 2.3.9-5
- Allow setroubleshoot to getattr on all dirs to gather RPM data

* Thu Aug 24 2006 Dan Walsh <dwalsh@redhat.com> 2.3.9-4
- Set /usr/lib/ia32el/ia32x_loader to unconfined_execmem_exec_t for ia32 platform
- Fix spec for /dev/adsp

* Thu Aug 24 2006 Dan Walsh <dwalsh@redhat.com> 2.3.9-3
- Fix xen tty devices

* Thu Aug 24 2006 Dan Walsh <dwalsh@redhat.com> 2.3.9-2
- Fixes for setroubleshoot

* Wed Aug 23 2006 Dan Walsh <dwalsh@redhat.com> 2.3.9-1
- Update to upstream

* Sun Aug 20 2006 Dan Walsh <dwalsh@redhat.com> 2.3.8-2
- Fixes for stunnel and postgresql
- Update from upstream

* Sat Aug 10 2006 Dan Walsh <dwalsh@redhat.com> 2.3.7-1
- Update from upstream
- More java fixes

* Fri Aug 10 2006 Dan Walsh <dwalsh@redhat.com> 2.3.6-4
- Change allow_execstack to default to on, for RHEL5 Beta.  
  This is required because of a Java compiler problem.
  Hope to turn off for next beta

* Thu Aug 10 2006 Dan Walsh <dwalsh@redhat.com> 2.3.6-3
- Misc fixes

* Wed Aug 9 2006 Dan Walsh <dwalsh@redhat.com> 2.3.6-2
- More fixes for strict policy

* Tue Aug 8 2006 Dan Walsh <dwalsh@redhat.com> 2.3.6-1
- Quiet down anaconda audit messages

* Mon Aug 7 2006 Dan Walsh <dwalsh@redhat.com> 2.3.5-1
- Fix setroubleshootd

* Thu Aug 3 2006 Dan Walsh <dwalsh@redhat.com> 2.3.4-1
- Update to the latest from upstream

* Thu Aug 3 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-20
- More fixes for xen

* Thu Aug 3 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-19
- Fix anaconda transitions

* Wed Aug 2 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-18
- yet more xen rules
 
* Tue Aug 1 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-17
- more xen rules

* Mon Jul 31 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-16
- Fixes for Samba

* Sat Jul 29 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-15
- Fixes for xen

* Fri Jul 28 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-14
- Allow setroubleshootd to send mail

* Wed Jul 26 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-13
- Add nagios policy

* Wed Jul 26 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-12
-  fixes for setroubleshoot

* Wed Jul 26 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-11
- Added Paul Howarth patch to only load policy packages shipped 
  with this package
- Allow pidof from initrc to ptrace higher level domains
- Allow firstboot to communicate with hal via dbus

* Mon Jul 24 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-10
- Add policy for /var/run/ldapi

* Sat Jul 22 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-9
- Fix setroubleshoot policy

* Fri Jul 21 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-8
- Fixes for mls use of ssh
- named  has a new conf file

* Fri Jul 21 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-7
- Fixes to make setroubleshoot work

* Wed Jul 19 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-6
- Cups needs to be able to read domain state off of printer client

* Wed Jul 19 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-5
- add boolean to allow zebra to write config files

* Tue Jul 18 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-4
- setroubleshootd fixes

* Mon Jul 17 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-3
- Allow prelink to read bin_t symlink
- allow xfs to read random devices
- Change gfs to support xattr


* Mon Jul 17 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-2
- Remove spamassassin_can_network boolean

* Fri Jul 14 2006 Dan Walsh <dwalsh@redhat.com> 2.3.3-1
- Update to upstream
- Fix lpr domain for mls

* Fri Jul 14 2006 Dan Walsh <dwalsh@redhat.com> 2.3.2-4
- Add setroubleshoot policy

* Fri Jul 7 2006 Dan Walsh <dwalsh@redhat.com> 2.3.2-3
- Turn off auditallow on setting booleans

* Fri Jul 7 2006 Dan Walsh <dwalsh@redhat.com> 2.3.2-2
- Multiple fixes

* Fri Jul 7 2006 Dan Walsh <dwalsh@redhat.com> 2.3.2-1
- Update to upstream

* Thu Jun 22 2006 Dan Walsh <dwalsh@redhat.com> 2.3.1-1
- Update to upstream
- Add new class for kernel key ring

* Wed Jun 21 2006 Dan Walsh <dwalsh@redhat.com> 2.2.49-1
- Update to upstream

* Tue Jun 20 2006 Dan Walsh <dwalsh@redhat.com> 2.2.48-1
- Update to upstream

* Tue Jun 20 2006 Dan Walsh <dwalsh@redhat.com> 2.2.47-5
- Break out selinux-devel package

* Fri Jun 16 2006 Dan Walsh <dwalsh@redhat.com> 2.2.47-4
- Add ibmasmfs

* Thu Jun 15 2006 Dan Walsh <dwalsh@redhat.com> 2.2.47-3
- Fix policygentool gen_requires

* Tue Jun 13 2006 Dan Walsh <dwalsh@redhat.com> 2.2.47-1
- Update from Upstream

* Tue Jun 13 2006 Dan Walsh <dwalsh@redhat.com> 2.2.46-2
- Fix spec of realplay

* Tue Jun 13 2006 Dan Walsh <dwalsh@redhat.com> 2.2.46-1
- Update to upstream

* Mon Jun 12 2006 Dan Walsh <dwalsh@redhat.com> 2.2.45-3
- Fix semanage

* Mon Jun 12 2006 Dan Walsh <dwalsh@redhat.com> 2.2.45-2
- Allow useradd to create_home_dir in MLS environment

* Thu Jun 8 2006 Dan Walsh <dwalsh@redhat.com> 2.2.45-1
- Update from upstream

* Tue Jun 6 2006 Dan Walsh <dwalsh@redhat.com> 2.2.44-1
- Update from upstream

* Tue Jun 6 2006 Dan Walsh <dwalsh@redhat.com> 2.2.43-4
- Add oprofilefs

* Sun May 28 2006 Dan Walsh <dwalsh@redhat.com> 2.2.43-3
- Fix for hplip and Picasus

* Sat May 27 2006 Dan Walsh <dwalsh@redhat.com> 2.2.43-2
- Update to upstream

* Fri May 26 2006 Dan Walsh <dwalsh@redhat.com> 2.2.43-1
- Update to upstream

* Fri May 26 2006 Dan Walsh <dwalsh@redhat.com> 2.2.42-4
- fixes for spamd

* Wed May 24 2006 Dan Walsh <dwalsh@redhat.com> 2.2.42-3
- fixes for java, openldap and webalizer

* Mon May 22 2006 Dan Walsh <dwalsh@redhat.com> 2.2.42-2
- Xen fixes

* Thu May 18 2006 Dan Walsh <dwalsh@redhat.com> 2.2.42-1
- Upgrade to upstream

* Thu May 18 2006 Dan Walsh <dwalsh@redhat.com> 2.2.41-1
- allow hal to read boot_t files
- Upgrade to upstream

* Wed May 17 2006 Dan Walsh <dwalsh@redhat.com> 2.2.40-2
- allow hal to read boot_t files

* Tue May 16 2006 Dan Walsh <dwalsh@redhat.com> 2.2.40-1
- Update from upstream

* Mon May 15 2006 Dan Walsh <dwalsh@redhat.com> 2.2.39-2
- Fixes for amavis

* Mon May 15 2006 Dan Walsh <dwalsh@redhat.com> 2.2.39-1
- Update from upstream

* Fri May 12 2006 Dan Walsh <dwalsh@redhat.com> 2.2.38-6
- Allow auditctl to search all directories

* Thu May 11 2006 Dan Walsh <dwalsh@redhat.com> 2.2.38-5
- Add acquire service for mono.

* Thu May 11 2006 Dan Walsh <dwalsh@redhat.com> 2.2.38-4
- Turn off allow_execmem boolean
- Allow ftp dac_override when allowed to access users homedirs

* Wed May 10 2006 Dan Walsh <dwalsh@redhat.com> 2.2.38-3
- Clean up spec file
- Transition from unconfined_t to prelink_t

* Mon May 8 2006 Dan Walsh <dwalsh@redhat.com> 2.2.38-2
- Allow execution of cvs command

* Fri May 5 2006 Dan Walsh <dwalsh@redhat.com> 2.2.38-1
- Update to upstream

* Wed May 3 2006 Dan Walsh <dwalsh@redhat.com> 2.2.37-1
- Update to upstream

* Mon May 1 2006 Dan Walsh <dwalsh@redhat.com> 2.2.36-2
- Fix libjvm spec

* Tue Apr 25 2006 Dan Walsh <dwalsh@redhat.com> 2.2.36-1
- Update to upstream

* Tue Apr 25 2006 James Antill <jantill@redhat.com> 2.2.35-2
- Add xm policy
- Fix policygentool

* Mon Apr 24 2006 Dan Walsh <dwalsh@redhat.com> 2.2.35-1
- Update to upstream
- Fix postun to only disable selinux on full removal of the packages

* Fri Apr 21 2006 Dan Walsh <dwalsh@redhat.com> 2.2.34-3
- Allow mono to chat with unconfined

* Thu Apr 20 2006 Dan Walsh <dwalsh@redhat.com> 2.2.34-2
- Allow procmail to sendmail
- Allow nfs to share dosfs

* Thu Apr 20 2006 Dan Walsh <dwalsh@redhat.com> 2.2.34-1
- Update to latest from upstream
- Allow selinux-policy to be removed and kernel not to crash

* Tue Apr 18 2006 Dan Walsh <dwalsh@redhat.com> 2.2.33-1
- Update to latest from upstream
- Add James Antill patch for xen
- Many fixes for pegasus

* Sat Apr 15 2006 Dan Walsh <dwalsh@redhat.com> 2.2.32-2
- Add unconfined_mount_t
- Allow privoxy to connect to httpd_cache
- fix cups labeleing on /var/cache/cups

* Fri Apr 14 2006 Dan Walsh <dwalsh@redhat.com> 2.2.32-1
- Update to latest from upstream

* Fri Apr 14 2006 Dan Walsh <dwalsh@redhat.com> 2.2.31-1
- Update to latest from upstream
- Allow mono and unconfined to talk to initrc_t dbus objects

* Tue Apr 11 2006 Dan Walsh <dwalsh@redhat.com> 2.2.30-2
- Change libraries.fc to stop shlib_t form overriding texrel_shlib_t

* Tue Apr 11 2006 Dan Walsh <dwalsh@redhat.com> 2.2.30-1
- Fix samba creating dirs in homedir
- Fix NFS so its booleans would work

* Mon Apr 10 2006 Dan Walsh <dwalsh@redhat.com> 2.2.29-6
- Allow secadm_t ability to relabel all files
- Allow ftp to search xferlog_t directories
- Allow mysql to communicate with ldap
- Allow rsync to bind to rsync_port_t

* Mon Apr 10 2006 Russell Coker <rcoker@redhat.com> 2.2.29-5
- Fixed mailman with Postfix #183928
- Allowed semanage to create file_context files.
- Allowed amanda_t to access inetd_t TCP sockets and allowed amanda_recover_t
  to bind to reserved ports.  #149030
- Don't allow devpts_t to be associated with tmp_t.
- Allow hald_t to stat all mountpoints.
- Added boolean samba_share_nfs to allow smbd_t full access to NFS mounts.
  #169947
- Make mount run in mount_t domain from unconfined_t to prevent mislabeling of
  /etc/mtab.
- Changed the file_contexts to not have a regex before the first ^/[a-z]/
  whenever possible, makes restorecon slightly faster.
- Correct the label of /etc/named.caching-nameserver.conf
- Now label /usr/src/kernels/.+/lib(/.*)? as usr_t instead of
  /usr/src(/.*)?/lib(/.*)? - I don't think we need anything else under /usr/src
  hit by this.
- Granted xen access to /boot, allowed mounting on xend_var_lib_t, and allowed
  xenstored_t rw access to the xen device node.

* Tue Apr 4 2006 Dan Walsh <dwalsh@redhat.com> 2.2.29-4
- More textrel_shlib_t file path fixes
- Add ada support

* Mon Apr 3 2006 Dan Walsh <dwalsh@redhat.com> 2.2.29-3
- Get auditctl working in MLS policy

* Mon Apr 3 2006 Dan Walsh <dwalsh@redhat.com> 2.2.29-2
- Add mono dbus support
- Lots of file_context fixes for textrel_shlib_t in FC5
- Turn off execmem auditallow since they are filling log files

* Fri Mar 30 2006 Dan Walsh <dwalsh@redhat.com> 2.2.29-1
- Update to upstream

* Thu Mar 30 2006 Dan Walsh <dwalsh@redhat.com> 2.2.28-3
- Allow automount and dbus to read cert files

* Thu Mar 30 2006 Dan Walsh <dwalsh@redhat.com> 2.2.28-2
- Fix ftp policy
- Fix secadm running of auditctl

* Mon Mar 27 2006 Dan Walsh <dwalsh@redhat.com> 2.2.28-1
- Update to upstream

* Wed Mar 22 2006 Dan Walsh <dwalsh@redhat.com> 2.2.27-1
- Update to upstream

* Wed Mar 22 2006 Dan Walsh <dwalsh@redhat.com> 2.2.25-3
- Fix policyhelp

* Wed Mar 22 2006 Dan Walsh <dwalsh@redhat.com> 2.2.25-2
- Fix pam_console handling of usb_device
- dontaudit logwatch reading /mnt dir

* Fri Mar 17 2006 Dan Walsh <dwalsh@redhat.com> 2.2.24-1
- Update to upstream

* Wed Mar 15 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-19
- Get transition rules to create policy.20 at SystemHigh

* Tue Mar 14 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-18
- Allow secadmin to shutdown system
- Allow sendmail to exec newalias

* Tue Mar 14 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-17
- MLS Fixes
	dmidecode needs mls_file_read_up
- add ypxfr_t
- run init needs access to nscd
- udev needs setuid
- another xen log file
- Dontaudit mount getattr proc_kcore_t

* Tue Mar 14 2006 Karsten Hopp <karsten@redhat.de> 2.2.23-16
- fix buildroot usage (#185391)

* Thu Mar 9 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-15
- Get rid of mount/fsdisk scan of /dev messages
- Additional fixes for suspend/resume

* Thu Mar 9 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-14
- Fake make to rebuild enableaudit.pp

* Thu Mar 9 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-13
- Get xen networking running.

* Thu Mar 9 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-12
- Fixes for Xen
- enableaudit should not be the same as base.pp
- Allow ps to work for all process

* Thu Mar  9 2006 Jeremy Katz <katzj@redhat.com> - 2.2.23-11
- more xen policy fixups

* Wed Mar  8 2006 Jeremy Katz <katzj@redhat.com> - 2.2.23-10
- more xen fixage (#184393)

* Wed Mar 8 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-9
- Fix blkid specification
- Allow postfix to execute mailman_que

* Wed Mar 8 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-8
- Blkid changes
- Allow udev access to usb_device_t
- Fix post script to create targeted policy config file

* Wed Mar 8 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-7
- Allow lvm tools to create drevice dir

* Tue Mar 7 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-5
- Add Xen support

* Mon Mar 6 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-4
- Fixes for cups
- Make cryptosetup work with hal

* Sun Mar 5 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-3
- Load Policy needs translock

* Sat Mar 4 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-2
- Fix cups html interface

* Sat Mar 4 2006 Dan Walsh <dwalsh@redhat.com> 2.2.23-1
- Add hal changes suggested by Jeremy
- add policyhelp to point at policy html pages

* Mon Feb 27 2006 Dan Walsh <dwalsh@redhat.com> 2.2.22-2
- Additional fixes for nvidia and cups

* Mon Feb 27 2006 Dan Walsh <dwalsh@redhat.com> 2.2.22-1
- Update to upstream
- Merged my latest fixes
- Fix cups policy to handle unix domain sockets

* Sat Feb 25 2006 Dan Walsh <dwalsh@redhat.com> 2.2.21-9
- NSCD socket is in nscd_var_run_t needs to be able to search dir

* Fri Feb 24 2006 Dan Walsh <dwalsh@redhat.com> 2.2.21-8
- Fixes Apache interface file

* Fri Feb 24 2006 Dan Walsh <dwalsh@redhat.com> 2.2.21-7
- Fixes for new version of cups

* Fri Feb 24 2006 Dan Walsh <dwalsh@redhat.com> 2.2.21-6
- Turn off polyinstatiate util after FC5

* Fri Feb 24 2006 Dan Walsh <dwalsh@redhat.com> 2.2.21-5
- Fix problem with privoxy talking to Tor

* Thu Feb 22 2006 Dan Walsh <dwalsh@redhat.com> 2.2.21-4
- Turn on polyinstatiation

* Thu Feb 22 2006 Dan Walsh <dwalsh@redhat.com> 2.2.21-3
- Don't transition from unconfined_t to fsadm_t

* Thu Feb 22 2006 Dan Walsh <dwalsh@redhat.com> 2.2.21-2
- Fix policy update model.

* Thu Feb 22 2006 Dan Walsh <dwalsh@redhat.com> 2.2.21-1
- Update to upstream

* Wed Feb 22 2006 Dan Walsh <dwalsh@redhat.com> 2.2.20-1
- Fix load_policy to work on MLS
- Fix cron_rw_system_pipes for postfix_postdrop_t
- Allow audotmount to run showmount

* Tue Feb 21 2006 Dan Walsh <dwalsh@redhat.com> 2.2.19-2
- Fix swapon
- allow httpd_sys_script_t to be entered via a shell
- Allow httpd_sys_script_t to read eventpolfs

* Tue Feb 21 2006 Dan Walsh <dwalsh@redhat.com> 2.2.19-1
- Update from upstream

* Tue Feb 21 2006 Dan Walsh <dwalsh@redhat.com> 2.2.18-2
- allow cron to read apache files

* Tue Feb 21 2006 Dan Walsh <dwalsh@redhat.com> 2.2.18-1
- Fix vpnc policy to work from NetworkManager

* Mon Feb 20 2006 Dan Walsh <dwalsh@redhat.com> 2.2.17-2
- Update to upstream
- Fix semoudle polcy

* Thu Feb 16 2006 Dan Walsh <dwalsh@redhat.com> 2.2.16-1
- Update to upstream 
- fix sysconfig/selinux link

* Wed Feb 15 2006 Dan Walsh <dwalsh@redhat.com> 2.2.15-4
- Add router port for zebra
- Add imaze port for spamd
- Fixes for amanda and java

* Tue Feb 14 2006 Dan Walsh <dwalsh@redhat.com> 2.2.15-3
- Fix bluetooth handling of usb devices
- Fix spamd reading of ~/
- fix nvidia spec

* Tue Feb 14 2006 Dan Walsh <dwalsh@redhat.com> 2.2.15-1
- Update to upsteam

* Mon Feb 13 2006 Dan Walsh <dwalsh@redhat.com> 2.2.14-2
- Add users_extra files

* Fri Feb 10 2006 Dan Walsh <dwalsh@redhat.com> 2.2.14-1
- Update to upstream

* Fri Feb 10 2006 Dan Walsh <dwalsh@redhat.com> 2.2.13-1
- Add semodule policy

* Tue Feb 7 2006 Dan Walsh <dwalsh@redhat.com> 2.2.12-1
- Update from upstream


* Mon Feb 6 2006 Dan Walsh <dwalsh@redhat.com> 2.2.11-2
- Fix for spamd to use razor port

* Fri Feb 3 2006 Dan Walsh <dwalsh@redhat.com> 2.2.11-1
- Fixes for mcs
- Turn on mount and fsadm for unconfined_t

* Wed Feb 1 2006 Dan Walsh <dwalsh@redhat.com> 2.2.10-1
- Fixes for the -devel package

* Wed Feb 1 2006 Dan Walsh <dwalsh@redhat.com> 2.2.9-2
- Fix for spamd to use ldap

* Fri Jan 27 2006 Dan Walsh <dwalsh@redhat.com> 2.2.9-1
- Update to upstream

* Fri Jan 27 2006 Dan Walsh <dwalsh@redhat.com> 2.2.8-2
- Update to upstream
- Fix rhgb, and other Xorg startups

* Thu Jan 26 2006 Dan Walsh <dwalsh@redhat.com> 2.2.7-1
- Update to upstream

* Thu Jan 26 2006 Dan Walsh <dwalsh@redhat.com> 2.2.6-3
- Separate out role of secadm for mls

* Thu Jan 26 2006 Dan Walsh <dwalsh@redhat.com> 2.2.6-2
- Add inotifyfs handling

* Thu Jan 26 2006 Dan Walsh <dwalsh@redhat.com> 2.2.6-1
- Update to upstream
- Put back in changes for pup/zen

* Tue Jan 24 2006 Dan Walsh <dwalsh@redhat.com> 2.2.5-1
- Many changes for MLS 
- Turn on strict policy

* Mon Jan 23 2006 Dan Walsh <dwalsh@redhat.com> 2.2.4-1
- Update to upstream

* Wed Jan 18 2006 Dan Walsh <dwalsh@redhat.com> 2.2.3-1
- Update to upstream
- Fixes for booting and logging in on MLS machine

* Wed Jan 18 2006 Dan Walsh <dwalsh@redhat.com> 2.2.2-1
- Update to upstream
- Turn off execheap execstack for unconfined users
- Add mono/wine policy to allow execheap and execstack for them
- Add execheap for Xdm policy

* Wed Jan 18 2006 Dan Walsh <dwalsh@redhat.com> 2.2.1-1
- Update to upstream
- Fixes to fetchmail,

* Tue Jan 17 2006 Dan Walsh <dwalsh@redhat.com> 2.1.13-1
- Update to upstream

* Tue Jan 17 2006 Dan Walsh <dwalsh@redhat.com> 2.1.12-3
- Fix for procmail/spamassasin
- Update to upstream
- Add rules to allow rpcd to work with unlabeled_networks.

* Sat Jan 14 2006 Dan Walsh <dwalsh@redhat.com> 2.1.11-1
- Update to upstream
- Fix ftp Man page

* Fri Jan 13 2006 Dan Walsh <dwalsh@redhat.com> 2.1.10-1
- Update to upstream

* Wed Jan 11 2006 Jeremy Katz <katzj@redhat.com> - 2.1.9-2
- fix pup transitions (#177262)
- fix xen disks (#177599)

* Tue Jan 10 2006 Dan Walsh <dwalsh@redhat.com> 2.1.9-1
- Update to upstream

* Tue Jan 10 2006 Dan Walsh <dwalsh@redhat.com> 2.1.8-3
- More Fixes for hal and readahead

* Mon Jan 9 2006 Dan Walsh <dwalsh@redhat.com> 2.1.8-2
- Fixes for hal and readahead

* Mon Jan 9 2006 Dan Walsh <dwalsh@redhat.com> 2.1.8-1
- Update to upstream
- Apply 
* Fri Jan 7 2006 Dan Walsh <dwalsh@redhat.com> 2.1.7-4
- Add wine and fix hal problems

* Thu Jan 6 2006 Dan Walsh <dwalsh@redhat.com> 2.1.7-3
- Handle new location of hal scripts

* Thu Jan 5 2006 Dan Walsh <dwalsh@redhat.com> 2.1.7-2
- Allow su to read /etc/mtab

* Wed Jan 4 2006 Dan Walsh <dwalsh@redhat.com> 2.1.7-1
- Update to upstream

* Tue Jan 3 2006 Dan Walsh <dwalsh@redhat.com> 2.1.6-24
- Fix  "libsemanage.parse_module_headers: Data did not represent a module." problem

* Tue Jan 3 2006 Dan Walsh <dwalsh@redhat.com> 2.1.6-23
- Allow load_policy to read /etc/mtab

* Mon Jan 2 2006 Dan Walsh <dwalsh@redhat.com> 2.1.6-22
- Fix dovecot to allow dovecot_auth to look at /tmp

* Mon Jan 2 2006 Dan Walsh <dwalsh@redhat.com> 2.1.6-21
- Allow restorecon to read unlabeled_t directories in order to fix labeling.

* Fri Dec 30 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-20
- Add Logwatch policy

* Wed Dec 28 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-18
- Fix /dev/ub[a-z] file context

* Tue Dec 27 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-17
- Fix library specification
- Give kudzu execmem privs

* Thu Dec 22 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-16
- Fix hostname in targeted policy

* Wed Dec 21 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-15
- Fix passwd command on mls

* Wed Dec 21 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-14
- Lots of fixes to make mls policy work

* Tue Dec 20 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-13
- Add dri libs to textrel_shlib_t
- Add system_r role for java
- Add unconfined_exec_t for vncserver
- Allow slapd to use kerberos

* Mon Dec 19 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-11
- Add man pages

* Fri Dec 16 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-10
- Add enableaudit.pp

* Fri Dec 16 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-9
- Fix mls policy

* Fri Dec 16 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-8
- Update mls file from old version

* Thu Dec 15 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-5
- Add sids back in
- Rebuild with update checkpolicy

* Thu Dec 15 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-4
- Fixes to allow automount to use portmap
- Fixes to start kernel in s0-s15:c0.c255

* Wed Dec 14 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-3
- Add java unconfined/execmem policy 

* Wed Dec 14 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-2
- Add file context for /var/cvs
- Dontaudit webalizer search of homedir

* Tue Dec 13 2005 Dan Walsh <dwalsh@redhat.com> 2.1.6-1
- Update from upstream

* Tue Dec 13 2005 Dan Walsh <dwalsh@redhat.com> 2.1.4-2
- Clean up spec
- range_transition crond to SystemHigh

* Mon Dec 12 2005 Dan Walsh <dwalsh@redhat.com> 2.1.4-1
- Fixes for hal
- Update to upstream

* Mon Dec 12 2005 Dan Walsh <dwalsh@redhat.com> 2.1.3-1
- Turn back on execmem since we need it for java, firefox, ooffice
- Allow gpm to stream socket to itself

* Mon Dec 12 2005 Jeremy Katz <katzj@redhat.com> - 2.1.2-3
- fix requirements to be on the actual packages so that policy can get
  created properly at install time

* Sun Dec  10 2005 Dan Walsh <dwalsh@redhat.com> 2.1.2-2
- Allow unconfined_t to execmod texrel_shlib_t

* Sat Dec  9 2005 Dan Walsh <dwalsh@redhat.com> 2.1.2-1
- Update to upstream 
- Turn off allow_execmem and allow_execmod booleans
- Add tcpd and automount policies

* Fri Dec  8 2005 Dan Walsh <dwalsh@redhat.com> 2.1.1-3
- Add two new httpd booleans, turned off by default
	* httpd_can_network_relay
	* httpd_can_network_connect_db

* Fri Dec  8 2005 Dan Walsh <dwalsh@redhat.com> 2.1.1-2
- Add ghost for policy.20

* Thu Dec  8 2005 Dan Walsh <dwalsh@redhat.com> 2.1.1-1
- Update to upstream
- Turn off boolean allow_execstack

* Thu Dec  8 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-3
- Change setrans-mls to use new libsetrans
- Add default_context rule for xdm

* Thu Dec  8 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-2.
- Change Requires to PreReg for requiring of policycoreutils on install

* Wed Dec  7 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-1.
- New upstream release

* Wed Dec  7 2005 Dan Walsh <dwalsh@redhat.com> 2.0.11-2.
Add xdm policy

* Tue Dec  6 2005 Dan Walsh <dwalsh@redhat.com> 2.0.11-1.
Update from upstream

* Fri Dec  2 2005 Dan Walsh <dwalsh@redhat.com> 2.0.9-1.
Update from upstream

* Fri Dec  2 2005 Dan Walsh <dwalsh@redhat.com> 2.0.8-1.
Update from upstream

* Fri Dec  2 2005 Dan Walsh <dwalsh@redhat.com> 2.0.7-3
- Also trigger to rebuild policy for versions up to 2.0.7.

* Tue Nov 29 2005 Dan Walsh <dwalsh@redhat.com> 2.0.7-2
- No longer installing policy.20 file, anaconda handles the building of the app.

* Tue Nov 29 2005 Dan Walsh <dwalsh@redhat.com> 2.0.6-2
- Fixes for dovecot and saslauthd

* Wed Nov 23 2005 Dan Walsh <dwalsh@redhat.com> 2.0.5-4
- Cleanup pegasus and named 
- Fix spec file
- Fix up passwd changing applications

* Tue Nov 21 2005 Dan Walsh <dwalsh@redhat.com> 2.0.5-1
-Update to latest from upstream

* Tue Nov 21 2005 Dan Walsh <dwalsh@redhat.com> 2.0.4-1
- Add rules for pegasus and avahi

* Mon Nov 21 2005 Dan Walsh <dwalsh@redhat.com> 2.0.2-2
- Start building MLS Policy

* Fri Nov 18 2005 Dan Walsh <dwalsh@redhat.com> 2.0.2-1
- Update to upstream

* Wed Nov 9 2005 Dan Walsh <dwalsh@redhat.com> 2.0.1-2
- Turn on bash

* Wed Nov 9 2005 Dan Walsh <dwalsh@redhat.com> 2.0.1-1
- Initial version
